2009-05-18  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution Data Server 2.26.2 release 

2009-04-12  Matthew Barnes  <mbarnes@redhat.com>

	** Remove a bunch of juvenile comments.  Source code should
	   look professional, even if some developers are not.

2009-04-07  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #574522

	* libedataserver/e-proxy.c: (e_proxy_dispose), (ep_set_proxy):
	Free list's members properly.

2009-03-16  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution Data Server 2.26.0 release and version bump

2009-03-09  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #574282

	* libebackend/e-file-cache.c: (e_file_cache_clean):
	Always freeze changes here, to make things done quicker.

2009-03-02  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in: Post-release version bump.

2009-03-02  Matthew Barnes  <mbarnes@redhat.com>

	* NEWS: Evolution Data Server 2.25.92 release

2009-02-27  Matthew Barnes  <mbarnes@redhat.com>

	** Re-fixes bug #570696

	* configure.in:
	Define GDATA_CFLAGS and GDATA_LIBS and explicitly require
	libsoup-2.4 and libxml-2.0.

2009-02-23  Tobias Mueller  <tobiasmue@svn.gnome.org>

	* servers/google/libgdata-google/libgdata-google.pc.in
	servers/google/libgdata-google/Makefile.am
	servers/google/libgdata/Makefile.am
	servers/google/libgdata/libgdata.pc.in:
	Remove unnecessary dependencies from libgdata. Patch by Daniel Macks.
	Fixes bug 570696.

2009-02-18  Sankar P  <psankar@novell.com>

	* MAINTAINERS:
	Removing myself off the maintainers

2009-02-17  Chenthill Palanisamy  <pchenthill@novell.com>

	* configure.in: Fixes a libical build issue.
	Committing the fix from Suman.

2009-02-14  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #571761

	* src/server-interface-check.h:
	Stop using deprecated GtkType macros.

2009-02-09  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #567861

	* libedataserver/e-source.c: (e_source_equal):
	Two sources also differ when one has set color_spec and the other not.

2009-02-09  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #555888

	* libedataserver/e-proxy.h:
	* libedataserver/e-proxy.c:
	Read system proxy setting directly and listen to their changes.
	EProxy API changed, use e_proxy_peek_uri_for now.

2009-02-05  Suman Manjunath  <msuman@novell.com>

	* configure.in: Expose the right CFLAGS for libical headers. We want
	to include <libical/ical*.h> (as suggested).

2009-02-03  Tor Lillqvist  <tml@novell.com>

	* configure.in: Use the more traditional and reliable
	AC_HELP_STRING instead of AS_HELP_STRING which doesn't work for me
	at least... And the file uses AC_HELP_STRING in all other places
	already anyway.

2009-02-02  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution Data Server 2.25.90 release

2009-01-31  Matthew Barnes  <mbarnes@redhat.com>

	** Disable debug macros (#define d(x) x) throughout.  (#569638)

2009-01-28  Tor Lillqvist  <tml@novell.com>

	* src/Makefile.am (evolution_data_server_LDFLAGS): Build as a
	"GUI" executable on Windows to avoid console windows that annoy
	end-users.

2009-01-21  Ross Burton  <ross@linux.intel.com>

	* configure.in:
	Add libical to the calendar and server deps to ensure that it is
	available everywhere it is needed, and not checked if we're not
	building the calendar.

2009-01-21  Fridrich Strba <fstrba@novell.com>

	* configure.in, calendar/backends/caldav/Makefile.am,
	src/Makefile.am, win32/Makefile.am: Allow cross-compiling
	e-d-s for windows + fix some win32 hickups.

2009-01-21  Srinivasa Ragavan <sragavan@novell.com>

	* NEWS: Evolution Data Server 2.25.5 release

2009-01-21  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #541209

	** Drop the libical fork in evolution-data-server
	** Related changes in Makefiles

	* configure.in:
	* docs/reference/calendar/libecal/Makefile.am:
	* docs/reference/calendar/libedata-cal/Makefile.am:
	* src/Makefile.am:

2009-01-14  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #564543

	* configure.in:
	Bump gtk_minimum_version to 2.14.0.

2009-01-12  Philip Van Hoof  <philip@codeminded.be>

	* camel/camel-db.c: Allowing the developer to add migration code for in
	case the schema of Camel's summary SQLite data format changes.

	Also adds two columns, modified and created, to the summary data being
	stored and renames the column msg_security to dirty as requested by
	Srinivasa Ragavan and Sankar P.


2009-01-08  Philip Van Hoof  <philip@codeminded.be>

	* camel/providers/nntp/camel-nntp-folder.c
	* camel/providers/pop3/camel-pop3-folder.c
	* camel/providers/groupwise/camel-groupwise-folder.c
	* camel/providers/imap/camel-imap-folder.c
	* camel/providers/imap/camel-imap-message-cache.c
	* camel/providers/imap/camel-imap-message-cache.h
	* camel/providers/imap4/camel-imap4-folder.c
	* camel/providers/local/camel-mbox-folder.c
	* camel/providers/local/camel-maildir-folder.c
	* camel/providers/local/camel-mh-folder.c
	* camel/camel-folder.c
	* camel/camel-folder.h
	* camel/camel-data-cache.c
	* camel/camel-data-cache.h:

	Bugfix for Bug #566279. Introduces a new API in Camel needed for
	implementing EPlugin of Bug #565091

2009-01-05  Srinivasa Ragavan  <sragavan@novell.com>

	* news: evolution data server 2.25.4 release

2009-01-05  Tor Lillqvist  <tml@novell.com>

	* evolution-data-server-zip.in: Add libebackend binary, import
	library and pkg-config file.

	Just add all of include/evolution-data-server-@BASE_VERSION@ and
	instead of bothering to list the subdirectories. (libebackend was
	missing.) Ditto for lib/pkgconfig and share/gtk-doc. The intent is
	that one does make install into a fresh empty target prefix anyway
	when one wants to build for distribution.

2009-01-05  Suman Manjunath  <msuman@novell.com>

	** Patch from Thomas <tmstaedt@t-mittelstaedt.de>
	** Fix for bug #564541

	* libedataserver/e-sexp.c (e_sexp_term_eval): NULL check an argument 
	before using its members. 

2008-12-23  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #564652

	* configure.in: Bump of libgweather version to 2.25.4 because
	of new function 'gweather_xml_free_locations'.

2008-12-15  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution Data Server 2.25.3 release

2008-12-10  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #352287

	* configure.in: Decrease libgweather requirement to 2.25.2.

2008-12-10  Suman Manjunath  <msuman@novell.com>

	* configure.in: Build the weather calendar backend unless explicitly
	requested not to, thereby making the libgweather dependency optional.

2008-12-03  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #352287

	* configure.in: Require libgweather in configure stage.

2008-12-02  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #503662

	* libedataserver/e-url.c: (e_uri_new):
	Use last '@' in the address part to be the delimiter between
	user name and server address, not the first one.

2008-12-01  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution Data Server 2.25.2 release changes

2008-11-12  Suman Manjunath  <msuman@novell.com>

	* libedataserver/e-source.c (e_source_set_color), 
	(e_source_unset_color), (e_source_get_color): These are deprecated 
	functions, so enclose them within proper macros. 

2008-11-03  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolutoin Data Server 2.25.1 release and version bump

2008-11-03  Sankar P  <psankar@novell.com>

License Changes

	* libedataserver/e-proxy.c:
	* libedataserver/e-proxy.h:

2008-10-31  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #558727 (patch by Frederic van Starbmann)

	* libebackend/e-data-server-module (e_data_server_module_load):
	Fix some potential string format crashes.

2008-10-01  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #554540

	* libedataserver/e-source-group.c (find_esource_from_uid),
	(compare_source_lists), (e_source_group_equal),
	(e_source_group_xmlstr_equal):
	* libedataserver/e-source-group.h:
	* libedataserver/e-source-list.c (e_source_list_is_gconf_updated):
	* libedataserver/e-source.c (e_source_equal),
	(e_source_xmlstr_equal):
	* libedataserver/e-source.h:
	Don't compare XML data of ESource* literally. Instead, compare them
	semantically. 

2008-09-30  Philip Withnall  <philip@tecnocode.co.uk>

	** Fix for bug #552491

	* libedataserver/e-source-list.c (e_source_list_is_gconf_updated):
	Check for NULL output from xmlParseDoc before continuing.

2008-09-24  Ross Burton  <ross@linux.intel.com>

	* configure.in:
	Remove libgnome from libedataserverui depends, and change
	libgnome-2.0 to libbonobo-2.0 for the addressbook and calendar.

	* evolution-data-server.pc.in:
	Remove libgnome-2.0 as it isn't used.

2008-09-22  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in: Version bump for Evolution Data Server 2.25.1

2008-09-22  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution Data Server 2.24.0 release.

2008-09-14  Matthew Barnes  <mbarnes@redhat.com>

	* libedataserver/e-sexp.c (term_eval_and), (term_eval_or):
	Don't mix declarations and code.

2008-09-12  Ross Burton  <ross@burtonini.com>

	* libedataserver/e-data-server-marshal.list:
	Remove, this isn't used since 2007-04-04.

2008-09-08  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution Data Server 2.23.92 release.

2008-09-03  Srinivasa Ragavan  <sragavan@novell.com>

	* libedataserver/e-sexp.c (parse_list): Fix a crash in sexp.

2008-09-01  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution Data Server 2.23.91 release and version bump.

2008-09-01  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Fix compiler warnings in a couple of the test programs.

2008-08-28  Patrick Ohly  <patrick.ohly@gmx.de>

	* Bug fix #518728: subtle link error: system libs before Evolution
	libs

	When compiling on Debian Etch (Evolution 2.12), evolution-dataserver
	was linked against /usr/lib/libebook-1.2.so.5 because of the incorrect
	link order. "incorrect" in this context means "system libs" before
	"Evolution libs".

2008-08-18  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution Data Server 2.23.90 release and
	version bump.

2008-08-11  Jeff Cai <jeff.cai@sun.com>

        * configure.in: Add gthread-2.0 in CAMEL checking.
          Fixes bug #538074.

2008-08-07  Tobias Mueller  <tobiasmue@svn.gnome.org>

	* libedataserver/e-account.c: Harden e_account_[gs]et_*
	functions by checking ea being NULL and code cleanups
	suggested by mbarnes.
	Fixes bug #545021

2008-08-04  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution Data Server 2.23.6 release and version bump.

2008-08-04  Matthias Braun <matze@braunis.de>

	* configure.in: Added WebDAV backend for addressbook. 

2008-08-04  Tobias Mueller  <tobiasmue@svn.gnome.org>

	** Fix for bug #545022

	* libedataserver/e-account.c (ea_setting_setup): Free gconf-entry only
	if it is non-NULL. 

2008-07-31  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #545558

	* configure.in:
	Add an --enable-hula configure option for building the Hula Camel
	provider, disabled by default.

2008-07-23  Johnny Jacob  <jjohnny@novell.com>

	* configure.in (API_VERSION): libcamel version bumped.
	(eds_micro_version): EDS version bumped to 2.23.6

	* NEWS: Updates for 2.23.5.
	
2008-07-21  Matthew Barnes  <mbarnes@redhat.com>

	* Makefile.am:
	Add doltcompile and doltlibtool to DISTCLEANFILES to fix
	distcheck breakage.

2008-07-21  Jörgen Scheibengruber  <mfcn@gmx.de>

	** Fix for bug #523632

	* configure.in: Added Google contacts backend

2008-07-20  Bharath Acharya  <abharath@novell.com>

	** Fix for bug #200147

	* libedataserver/e-account.h: Stores the templates folder uri

2008-07-20  Luca Ferretti  <elle.uca@libero.it>

	reviewed by: Srinivasa Ragavan

	* configure.in: add sqlite3 to to EVO_SET_COMPILE_FLAGS(CAMEL)
	to fix the build. See bug #543656 for details.

2008-07-16  Sankar P  <psankar@novell.com>

	Pushing disk summary changes from the madagascar branch

	* configure.in:
	* libedataserver/e-sexp.c (term_eval_and), (term_eval_or),
	(e_sexp_parse_value):
	* libedataserver/e-sexp.h:

2008-07-14  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #253509

	* libedataserver/e-categories.c: Added translators comment.

2008-07-09  Tor Lillqvist  <tml@novell.com>

	* evolution-data-server-zip.in: No version number for
	share/pixmaps/evolution-data-server. Use -D when using -r to not
	add pointless entries for directories in the zip files.

2008-06-26  Julien Puydt  <jpuydt@gnome.org>

	* libedataserver/e-source-group.c: Added missing g_object_unref on
	sources, fixing leaks and bug #540152.

2008-06-23  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Doltify

2008-06-17  Johnny Jacob  <jjohnny@novell.com>

	* configure.in (eds_micro_version): Bumped to 2.23.5.

	* NEWS: Evolution Data Server 2.23.4 release updates.

2008-06-12  Tor Lillqvist  <tml@novell.com>

	* libedataserver/e-proxy.c: Make it compile on Win32, too.

2008-06-06  Matthew Barnes  <mbarnes@redhat.com>

	** Allow e-d-s to build with G_DISABLE_SINGLE_INCLUDES
	   and GTK_DISABLE_SINGLE_INCLUDES defined. (#536636)

2008-06-06  Tor Lillqvist  <tml@novell.com>

	* configure.in: Add a couple of -Wl,--exclude-libs options on
	Windows to avoid needlessly auto-exporting functions from static
	libiconv and libdb-4.1 when linked into e-d-s's DLLs.

	* libdb/env/env_open.c [Win32]: #define strcasecmp _stricmp, just
	for cleanliness.

2008-06-03  Tor Lillqvist  <tml@novell.com>

	Bug 536154 - Camel sends bracketed hostname in SMTP HELO

	* configure.in: Do use the Winsock getaddrinfo() and
	getnameinfo(). It should be OK to ignore Windows 2000 by now.

2008-06-02  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution Data Server 2.23.3 release and version bump.

2008-06-02  Tor Lillqvist  <tml@novell.com>

	* libedataserver/e-data-server-util.c: Include <mbstring.h> on
	Windows.
	(get_prefixes): Drop the Win9x code. The GTK+ stack hasn't
	supported Win9x for a while, so no point in attempting to do it
	here either.

2008-05-23  Ed Catmur  <ed@catmur.co.uk>

	** Fix for bug #533780

	* configure.in:
	* libebackend/Makefile.am: 
	Fix the link line for libebackend.

2008-05-16  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #532836

	* configure.in:
	* libedataserver/libedataserver.pc.in:
	EProxy adds a libsoup dependency to libedataserver.  Add
	this new requirement to a couple places that were missed.

2008-05-14  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #531713

	* configure.in:
	Split the evolution-data-server version into major/minor/micro
	macros (wow, say that five times fast!) so we can pass them to
	libedataserver/eds-version.c.

	* libedataserver/Makefile.am:
	* libedataserver/eds-version.c:
	* libedataserver/eds-version.h:
	New sources files provide macros and functions for checking the
	version of evolution-data-server.  Would have been handy to have
	in a couple recent API breaks.

	* docs/references/libedataserver:
	Add developer documentation for the new symbols.

2008-05-13  Matthew Barnes  <mbarnes@redhat.com>

	* libebackend/libebackend.pc.in: Fix a typo.

2008-05-12  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution Data Server 2.23.2 release and version
	bump.
	* Makefile.am: Build fix for release.

2008-05-06  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #424744

	* libedataserver/e-iconv.[ch]:
	Deprecate the e-iconv API.  Use camel-iconv instead.

	* libedataserver/e-trie.[ch]:
	Deprecate the ETrie API.  Use CamelTrie instead.

	* libedataserver/e-msgport.[ch]:
	Deprecate the EMsgPort API.  Use CamelMsgPort instead.

2008-05-06  Jeffrey Stedfast  <fejj@novell.com>

	* Reverted commit 8210

2008-05-06  Sankar P  <psankar@novell.com>

	* Revert changes committed by bad git-svn usage.

2008-05-05  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #517244

	* configure.in:
	Add test for nl_langinfo(CODESET).  Defines HAVE_CODESET.

2008-05-05  Wang Xin  <jedy.wang@sun.com>

	* libedataserver/e-proxy.c: Fixes #530688.

2008-05-04  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in: If --enable-gnome-keyring is given, require version
	2.20.1 or later to pick up the GNOME_KEYRING_RESULT_NO_MATCH symbol.

2008-04-30  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #316390

	* libedataserver/e-categories.h:
	(e_categories_register_change_listener),
	(e_categories_unregister_change_listener):
	* libedataserver/e-categories.c: (EChangedListener),
	(idle_saver_cb), (finalize_categories), (initialize_categories),
	(e_categories_set_color_for), (e_categories_set_icon_file_for),
	(e_categories_register_change_listener), (e_categories_add),
	(e_categories_unregister_change_listener), (e_categories_remove):
	New API to support listening for changes in categories.

2008-04-23  Rob Bradford  <rob@openedhand.com>

	* Makefile.am:
	* configure.in:
	* libebackend/Makefile.am:
	* libebackend/libebackend.pc.in:
	Build framework for new libebackend library.

	* libedataserver/Makefile.am:
	Remove files that have moved to libebackend.

	* libedataserver/e-data-server-module.[ch]:
	* libedataserver/e-db3-utils.[ch]:
	* libedataserver/e-dbhash.[ch]:
	* libedataserer/e-file-cache.[ch]:
	Moved to libebackend.

	* src/Makefile.am:
	* src/server.c:
	Use libebackend headers and link to the library.

	* docs/reference/Makefile.am:
	* docs/reference/libebackend/Makefile.am:
	* docs/reference/libebackend/libebackend-docs.xml:
	* docs/reference/libebackend/libebackend-sections.txt:
	* docs/reference/libebackend/libebackend.types:
	Add documentation for new libebackend library.

	* docs/reference/libedataserver/libedataserver.types:
	Remove types that have been moved to libebackend.

	* docs/reference/calendar/libedata-cal/Makefile.am:
	Add libebackend to the gtk-doc scanner libraries.

2008-04-23  Matthew Barnes  <mbarnes@redhat.com>

	* README: Put it back.  Apparently Automake insists on it.

2008-04-23  Srinivasa Ragavan  <sragavan@novell.com>
	
	* configure.in: Version bump to 2.23.1

2008-04-21  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution Data Server 2.23.1 release and version
	bump.

2008-04-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #441497

	* README: File is empty, remove it.

	* Makefile.am: Remove README.

2008-04-19  Matthew Barnes  <mbarnes@redhat.com>

	* docs/reference: Add new symbols to the API docs.

2008-04-18  Srinivasa Ragavan  <sragavan@novell.com>

	* MAINTAINERS: Updating the Camel guards.

2008-04-17  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #526741

	* src/server.c: (main):
	* configure.in: Do not require gnome-vfs, use gio/gvfs instead.
	Bumped LIBCAMEL_CURRENT to 12.

2008-04-15  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #475616

	* libedataserver/e-component-listener.c: (watched_lock),
	(connection_listen_cb), (e_component_listener_finalize),
	(e_component_listener_new): Use rather rec mutex here.

2008-04-07  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Do proper checks for largefile support and
	properly setup proper CFLAGS to support it.

2008-04-04  Suman Manjunath  <msuman@novell.com>

	* libedataserver/e-data-server-util.c: (e_util_utf8_strstrcase),
	(e_util_utf8_strstrcasedecomp): 
	Fixed a few compiler warnings (bug #473880)

2008-04-01  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in: Version bump for 2.23.1.

2008-03-31  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in: Enforce the minimum GLib version (#525242).

2008-03-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #518710

	* configure.in:
	Bump GLib requirement to 2.16.1.

	* libedataserver/e-dbhash.c:
	Use GLib's new MD5 Checksum API.  The MD5 utilities in
	libedataserver are now deprecated.

	* libedataserver/md5-utils.c:
	* libedataserver/md5-utils.h:
	Deprecate these functions and reimplement them to be wrappers
	for GLib's new MD5 Checksum API.

2008-03-25  Veerapuram Varadhan  <vvaradhan@novell.com>

	** Added configurable Proxy settings for Evolution.

	* libedataserver/Makefile.am:
	* libedataserver/e-proxy.c: (ep_free_proxy_host_addr),
	(e_proxy_class_init), (e_proxy_init), (e_proxy_dispose),
	(e_proxy_get_type), (ep_need_proxy), (ep_manipulate_ipv4),
	(ipv6_network_addr), (ep_manipulate_ipv6), (ep_parse_ignore_host),
	(ep_set_proxy), (ep_setting_changed), (e_proxy_new),
	(e_proxy_setup_proxy), (e_proxy_peek_uri),
	(e_proxy_require_proxy_for_uri):
	* libedataserver/e-proxy.h:

2008-03-10  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution Data Server 2.22.0 release.

2008-03-03  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in: Revisit libecal version.

2008-03-02  Matthew Barnes  <mbarnes@redhat.com>

	* docs/reference: Minor API documentation updates.

2008-03-03  Tor Lillqvist  <tml@novell.com>

	* evolution-data-server-zip.in: Drop duplicated line. Use
	LIBCAMEL_CURRENT_MINUS_AGE for the libcamel DLL. Sort sections for
	clarity.

2008-03-03  Srinivasa Ragavan <sragavan@novell.com>

	* configure.in: Bump libecal version for libical changes.

2008-02-25  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution Data Server 2.21.92 release.

2008-02-26  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #475616

	* libedataserver/e-component-listener.c: (connection_listen_cb),
	(e_component_listener_finalize), (e_component_listener_new):
	Guard global static variable with mutex lock.

2008-02-26  Kjartan Maraas  <kmaraas@gnome.org>

	* src/Makefile.am: Add E_DATA_SERVER_CFLAGS/LIBS to make it build.

2008-02-22  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #469119

	* libedataserver/e-time-utils.c: (has_correct_date),
	(e_time_parse_date_and_time_ex), (e_time_parse_date_ex):
	Check also for correct date values if parse is OK.

2008-02-19  Chenthill Palanisamy  <pchenthill@novell.com>

	* configure.in: set HANDLE_LIBICAL_MEMORY to 1.

2008-02-18  Chenthill Palanisamy  <pchenthill@novell.com>

	* libdb/dbm/dbm.c (__db_dbm_firstkey): Fix for some
	warnings. Fix from opensuse downstream.

2008-02-14  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #516074

	* configure.in: Don't assume NI_MAXHOST and NI_MAXSERV are
	defined in <netdb.h> since these are GNU extensions.

2008-02-13  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in: Version bump for 2.21.92

2008-02-11  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution-Data-Server 2.21.91 release.

2008-02-06  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	* marshal.mk:
	Fix a compilation error that occurs when building in a
	remote object directory (#514682, patch by Paul Smith).

2008-02-06  Tor Lillqvist  <tml@novell.com>

	* evolution-data-server-zip.in: Look for catalogs in share/locale
	first, as that is where they will be with a properly built GNU
	gettext.

2008-01-29  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in: Version bump for 2.21.91 

2008-01-29  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution Data Server 2.21.90 release.

2008-01-26  Matthew Barnes  <mbarnes@redhat.com>

	* docs/reference: Refresh the API docs.

2008-01-24  Tor Lillqvist  <tml@novell.com>

	* configure.in: Only use the -Wno-sign-compare and
	-Wno-pointer-sign options if the gcc version used supports them. I
	am still using gcc 3.4.2 in mingw...

2008-01-24  Takao Fujiwara  <takao.fujiwara@sun.com>

	** Fix for bug #511717

	* camel/providers/imap/camel-imap-store.c: (imap_build_folder_info):
	Add gettext imap folders.

2008-01-19  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Bump some additional package requirements for libsoup-2.4:
		libbonobo-2.0 >= 2.20.3
		glib-2.0 >= 2.15.3

2008-01-17  Matthew Barnes  <mbarnes@redhat.com>

	* docs/reference/camel/camel-sections.txt:
	Add camel_session_build_password_prompt.

2008-01-15  Dan Winship  <danw@gnome.org>

	* configure.in: Require libsoup-2.4. (Remove old "either 2.2 or
	2.4" support, which only ever worked because there was an old CVS
	version of libsoup that claimed to be 2.4 but still had the 2.2
	API.)

2008-01-15  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in: Version bump to 2.21.90

2008-01-14  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS: Evolution Data Server 2.21.5 release.

2008-01-14  Matthew Barnes  <mbarnes@redhat.com>

	* docs/reference/camel/camel.types:
	Add an empty camel.types file so Gtk-Doc 1.9 doesn't choke on its
	absence when running "make dist".  See bug #509539 for more info.

2008-01-07  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #339813

	* libedataserver/e-time-utils.h: (e_time_parse_date_and_time_ex),
	(e_time_parse_date_ex), (e_time_get_d_fmt_with_4digit_year):
	New API functions, returns is parsed string had two-digit year and
	last one changes "%x" on format of strftime with forced 4-digit year.
	* libedataserver/e-time-utils.c: (parse_with_strptime):
	Fix issue when read all text but actual date isn't correct to this format.
	* libedataserver/e-time-utils.c: (correct_two_digit_year):
	New helper function.
	* libedataserver/e-time-utils.c: (e_time_parse_date_and_time_ex),
	(e_time_parse_date_ex), (e_time_get_d_fmt_with_4digit_year):
	Implementing new API functions.

2007-12-25  Jeffrey Stedfast  <fejj@novell.com>

	* libedataserver/e-iconv.c: Map gb2312-compat charsets to GBK
	instead of gb2312 since GBK is a superset of gb2312.

2007-12-18  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in: Version bump to 2.21.5.

2007-12-17  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution Data Server 2.21.4 release.

2007-12-17  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Bump gtk-doc requirement to 1.9 for gtkdoc-rebase.

2007-12-07  James "Doc" Livingston  <doclivingston@gmail.com>

	** Fix for bug #339510

	* libedataserver/e-time-utils.c: (e_time_parse_time): Accept time
	inputs with 4 figures (e.g. '1830' would be converted to '18:30')

2007-12-03  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution Data Server 2.21.3 release.

2007-11-26  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #308815

	* libedataserver/e-categories.h:
	* libedataserver/e-categories.c: Dropped colors for categories,
	so marking those functions as deprecated, and making deprecated
	parameter 'color' of 'e_categories_add' together with its rename
	to 'unused'.

2007-11-12  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution Data Server 2.21.2 release.

2007-11-14  Matthew Barnes  <mbarnes@redhat.com>

	** Remove trailing whitespace from source code.

2007-11-13  Ondrej Jirman  <megous@megous.com>

	** Fix for bug #494299

	* libedataserver/e-file-cache.c: (add_key_to_slist),
	(add_object_to_slist): Rename helper functions.
	* libedataserver/e-file-cache.c: (e_file_cache_get_keys):
	Fix memory corruption.

2007-10-29  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution Data Server 2.21.1 release.

2007-10-29  Matthew Barnes  <mbarnes@redhat.com>

	* servers/google/libgdata/gdata-entry.c:
	* servers/googgle/libgdata-google/gdata-google-service.c:
	Fix implicit function declarations.
	Use g_ascii_strcasecmp() instead of g_strcasecmp() (deprecated).

2007-10-26  Matthew Barnes  <mbarnes@redhat.com>

	* docs/reference/calendar/libecal/libecal-sections.txt:
	* docs/reference/libedataserverui/libedataserverui-sections.txt:
	Remove non-existent symbols.

2007-10-23  Chenthill Palanisamy  <pchenthill@novell.com>

	* configure.in:
	* evolution-data-server-zip.in:
	* servers/Makefile.am: Initial commit for the google
	calendar.

	Committing on behalf of Ebby Wiselyn <ebbywiselyn@gmail.com>

2007-10-22  Matthew Barnes  <mbarnes@redhat.com>

	* Fixes part of bug #417999

	* docs/reference/libedataserverui:
	Add documentation for ESourceComboBox widget.

2007-10-09  Matthew Barnes  <mbarnes@redhat.com>

	* iconv-detect.c (main): Remove an unused variable (#483301).

2007-09-07  Kjartan Maraas  <kmaraas@gnome.org>

	* libedataserver/e-msgport.c: (e_dlist_init), (em_cache_lookup),
	(em_cache_add), (e_thread_new), (e_thread_destroy), (e_mutex_new),
	(e_mutex_destroy): Fix a lot of 0 vs NULL issues.
	* libedataserver/e-msgport.h: Same.

2007-09-27  Ross Burton  <ross@openedhand.com>

	* libedataserver/e-iconv.c:
	Mark the charset and language arrays as const.

2007-09-17  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution Data Server 1.12.0 release

2007-09-03  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution Data Server 1.11.92 release

2007-08-28  Ross Burton  <ross@openedhand.com>

	* */*:
	Fix FSF address (Tobias Mueller, #470445)

2007-08-27  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution Data Server 1.11.91 release

2007-08-24  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #469870

	* libedataserver/e-categories.c: (e_categories_get_color_for),
	(e_categories_get_icon_file_for), (e_categories_is_searchable):
	Simply return from _get_ functions and don't show error warning.

2007-08-20  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #367760

	* libedataserver/e-data-server-util.c: (e_filename_make_safe):
	Added '#' as non-safe character.

2007-08-19  Matthew Barnes  <mbarnes@redhat.com>

	* docs: Refresh Gtk-Doc "section" files.

2007-08-16  Matthew Barnes  <mbarnes@redhat.com>

	* libdb/dbm/dbm.c (__db_ndbm_open):
	* libedataserver/e-dbhash.c (e_dbhash_new):
	Fix compilation errors caused by glibc's new "open" macro (#466987).

2007-08-16  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #351756

	* libedataserver/e-time-utils.c: (parse_with_strptime):
	g_locale_from_utf8 returns NULL on error, so test for that value.

2007-08-13  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution Data Server 1.11.90 release

2007-08-13  Ross Burton  <ross@openedhand.com>

	* libedataserver/e-xml-hash-utils.c:
	* libedataserver/e-data-server-util.c:
	* libedataserver/e-dbhash.c:
	* libedataserver/md5-utils.c:
	* libedataserver/e-account.c:
	* libedataserver/e-xml-utils.c:
	* libedataserver/e-source.c:
	Fix compile warnings.

2007-08-08  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #455799

	Remove all .cvsignore and update svn:ignore porperty in whole
	directories.

2007-08-08  Srinivasa Ragavan  <sragavan@novell.com>

	* MAINTAINERS: Updated the email, svn account.

2007-08-02  Ross Burton  <ross@openedhand.com>

	* configure.in:
	If building against libsoup-2.2, we need 2.2.91 for
	SOUP_SESSION_TIMEOUT (#451003).

2007-07-31  Veerapuram Varadhan  <vvaradhan@novell.com>

	* NEWS, configure.in: Evolution Data Server 1.11.6.1 release 
	
2007-07-30  Veerapuram Varadhan  <vvaradhan@novell.com>

	* NEWS, configure.in: Evolution Data Server 1.11.6 release 

2007-07-30  Chenthill Palanisamy  <pchenthill@novell.com>

	* configure.in: Updated the libtool version for libedataserver
	version since some APIS has been added.

2007-07-30  Chenthill Palanisamy  <pchenthill@novell.com>

	* libedataserver/e-source.[ch]: (e_source_get_duped_property):
	Added a API to get the duped property.

2007-07-30  Milan Crha  <mcrha@redhat.com>

	* libedataserver/e-source-group.h: (e_source_group_get_property),
	(e_source_group_set_property), (e_source_group_foreach_property):
	* libedataserver/e-source-group.c: (struct _ESourceGroupPrivate),
	(impl_finalize), (e_source_group_init), (import_properties),
	(compare_str_hash), (compare_str_hashes), (property_dump_cb),
	(e_source_group_new_from_xmldoc), (e_source_group_update_from_xml),
	(e_source_group_update_from_xmldoc), (e_source_group_to_xml),
	(e_source_group_get_property), (e_source_group_set_property),
	(e_source_group_foreach_property):
	Added support for properties in source group.

	* libedataserver/e-source-group.c: (e_source_group_new_from_xml),
	(e_source_group_new_from_xmldoc), (e_source_group_update_from_xmldoc),
	(e_source_group_uid_from_xmldoc), (e_source_group_to_xml):
	Warnings cleanup.

2007-07-27  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Collect all the required package versions in one place and
	explicitly require GTK+ 2.10 or higher.  (#380534)

2007-07-27  Johnny Jacob  <jjohnny@novell.com>

	** Fix for bug #457523.

	* libedataserver/e-sexp.c : Reverting fix for #364731. This is
	fixed in evolution.

2007-07-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* libedataserver/e-account-list.c: Plugged memory leak.

2007-07-09  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution Data Server 1.11.5 release 

2007-07-03  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #364731

	* libedataserver/e-sexp.c: (GScannerConfig):
	The '+' and '-' are also unary operators, so
	the identifier could not start with these characters.

2007-06-22  Milan Crha  <mcrha@redhat.com>

	* libedataserver/e-account.h:
	Added new property get_password_canceled into EAccountService
	struct, because of bug #307410

2007-07-02  Christian Kirbach  <Christian.Kirbach@googlemail.com>

	* camel/providers/imap4/camel-imap4-summary.c:
	Fix one typo and wrong preposition (bug #452996).

2007-06-19  Karsten Bräckelmann  <guenther@rudersport.de>

	* configure.in: Correct the comment for --enable-gnome-keyring,
	fixes bug #448947.

2007-06-18  Srinivasa Ragavan  <sragavan@novell.com>

	* NEWS, configure.in: Evolution Data Server 1.11.4 release.

2007-06-18  Srinivasa Ragavan <sragavan@novell.com>

	** Fix for bug #448589 from Tobias Mueller

	** src/Makefile.am: Add support for automake 1.6

2007-06-18  Srinivasa Ragavan <sragavan@novell.com>

	** Fix for bug #443958 from Sebastien Tandel 

	* configure.in: Add support for help string.

2007-06-18  Srinivasa Ragavan <sragavan@novell.com>
	
	** Fix for bug #437751 from Andreas Köhler

	* libedataserver/e-time-utils.c: 

2007-06-05  Irene Huang  <irene.huang@sun.com>

	* configure.in: Add option for using Sun Kerberos
	fixing bug #344728

2007-05-14  Srinivasa Ragavan <sragavan@novell.com>
	
	* NEWS, configure.in: Evolution Data Server 1.11.3 release.

2007-06-03  Ross Burton  <ross@openedhand.com>

	* configure.in:
	* Makefile.am:
	* src/Makefile.am:
	* src/offline-listener.[ch]:
	* src/server.c:
	Add --disable-calendar to build without any calendar support
	(#438928).

2007-05-31  Matthew Barnes  <mbarnes@redhat.com>

	* docs/reference/addressbook/libebook/Makefile.am:
	* docs/reference/calendar/libecal/Makefile.am:
	Fix some distcheck errors (#438577).

2007-05-25  Pascal Terjan  <pterjan@linuxfr.org>

	* camel/camel-stream-mem.c: fix typos in the API documentation

2007-05-24  Ross Burton  <ross@openedhand.com>

	* configure.in:
	Fix krb5 checks when using --as-needed (part of #342830, John
	N. Laliberte).

2007-05-24  Ross Burton  <ross@openedhand.com>

	* libedataserverui/Makefile.am:
	Add missing link flags to fix build with -z,defs. (#409542, Loic
	Minier)

2007-05-21  Wang Xin  <jedy.wang@sun.com>

	* libedataserver/e-time-utils.c: Fixes #439050.

2007-05-20  Ross Burton  <ross@openedhand.com>

	* configure.in:
	Use a faster pkgconfig call when checking for soup (#438975).

2007-05-16  Jules Colding  <colding@omesc.com>

	* configure.in: Removed unused function check

2007-05-14  Jules Colding  <colding@omesc.com>

	* libedataserver/e-db3-utils.c (cp_file): Cleanup. Fix file descriptor leak.

	* libedataserver/md5-utils.c (md5_get_digest_from_file): Fix file descriptor leak

2007-05-14  Srinivasa Ragavan
	
	* NEWS, configure.in: Evolution Data Server 1.11.2 release.

2007-05-14  Matthew Barnes  <mbarnes@redhat.com>

	** Fix for bug #361138

	* libedataserver/e-data-server-util.c: Handle strftime for non-indic
	locales.
	
2007-05-08  Josselin Mouette  <joss@malsain.org>

	reviewed by: Srinivasa Ragavan <sragavan@novell.com>

	* src/server.c: (main): Turn the g_error into a g_warning to 
          avoid dumping core when launching two instances (#436197).

2007-05-07  Matthew Barnes  <mbarnes@redhat.com>

	* libedataserver/e-source-group.c (e_source_group_new_from_xmldoc):
	Nullify 'new' after dropping its reference, so that we return NULL.

2007-05-07  Matthew Barnes  <mbarnes@redhat.com>

	* docs/reference/camel/Makefile.am:
	Remove reference to nonexistent libutil.la.

2007-05-07  Matthew Barnes  <mbarnes@redhat.com>

	* libedataserver/e-sexp.c:
	Fix warnings reported by 'sparse'.  Patch from Kjartan Maraas.

2007-04-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #418852

	* configure.in:
	* docs/reference/camel:
	* docs/reference/Makefile.am:
	Resurrect Camel's API documentation.

2007-04-24  Matthew Barnes  <mbarnes@redhat.com>

	* docs/reference:
	Refresh SGML templates and add the appropriate CFLAGS to satisfy
	"make distcheck".

2007-04-23  Srinivasa Ragavan <sragavan@novell.com>

	** NEWS, configure.in:  Evolution data server 1.11.1 release

2007-04-20  Srinivasa Ragavan <sragavan@novell.com>

	** Fix for bug #425535 from  Frederic Crozat

	* src/server.c: Dont submit path of EDS for segv_handler.

2007-04-19  Pascal Terjan  <pterjan@linuxfr.org>

	* camel/camel-gpg-context.c:
	Convert messages from gnupg to UTF-8 (#423382).

2007-04-19  Matthew Barnes  <mbarnes@redhat.com>

	* Introduce EFlag in libedataserver (#415891)

	* libedataserver/e-flag.[ch]:
	New data structure, EFlag, is a simple thread synchronization
	mechanism.  Based on Python's threading.Event class.

	* docs/reference/libedataserver:
	Add documentation for EFlag.

2007-04-11  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in:
	Make the libiconv test program returns a value. (#388789)

2007-04-05  Ross Burton  <ross@openedhand.com>

	* libedataserver/e-file-cache.c:
	* libedataserver/e-data-server-util.h:
	Use g_mkdir_with_parents (#383686).

2007-04-04  Ross Burton  <ross@burtonini.com>

	* libedataserver/e-source-group.c:
	* libedataserver/e-data-server-marshal.list:
	* libedataserver/e-account-list.c:
	* libedataserver/e-source-list.c:
	* libedataserver/e-iterator.c:
	* libedataserver/e-source.c:
	* libedataserver/Makefile.am:
	Remove marshallers that are in GLib (#400970).

2007-04-01  Matthew Barnes  <mbarnes@redhat.com>

	* libedataserver/e-source.c:
	Store colors as a string specification instead of an integer.
	Introduce new color API and deprecate the old. (#373117)

	New API: e_source_set_color_spec()
	         e_source_peek_color_spec()

	Old API: e_source_set_color()
	         e_source_unset_color()
	         e_source_get_color()

	* libedataserver/test-source-list.c:
	Use the new ESource color API. (#373117)

2007-04-01  Matthew Barnes  <mbarnes@redhat.com>

	* libedataserver/e-account.c (receipt_policy_to_str):
	* libedataserver/e-iconv.c (e_dlist_init):
	* libedataserver/e-list-iterator.c (e_list_iterator_insert):
	* libedataserver/e-trie.c (e_trie_search):
	* libedataserver/e-sexp.c (term_eval_castint), (e_sexp_finalise):
	Fix some compiler warnings.  Patch from Kjartan Maraas.

2007-03-29  Matthew Barnes  <mbarnes@redhat.com>

	* libedataserver/e-data-server-util.c:
	* libedataserver/e-uid.c:
	* libedataserver/e-xml-utils.c:
	E-D-S requires GLib 2.10 now; remove dead backward-compatibility
	code for GLib < 2.8 (#418971).

2007-03-29  Matthew Barnes  <mbarnes@redhat.com>

	* libedataserver/e-data-server-module.c:
	Fix "incompatible pointer type" warnings (#360619).

2007-03-26  Matthew Barnes  <mbarnes@redhat.com>

	* configure.in: Use AC_TRY_RUN instead of AC_TRY_LINK when checking
	for iconv() in -liconv (#388788).  Patch from Elijah Newren.

	* iconv-detect.c: Fix an implicit function declaration.

2007-03-26  Harish Krishnaswamy <harish.krishnaswamy@gmail.com>
	
	* MAINTAINERS : Updates on the new guards.

2007-03-12  Harish Krishnaswamy <kharish@novell.com>

	* NEWS, configure.in: Evolution-Data-Server 1.10
	release updates.

2007-03-08  Ross Burton  <ross@openedhand.com>

	* configure.in:
	* docs/reference/addressbook/libedata-book:
	* docs/reference/libedataserverui:
	Add gtk-doc framework.

	* docs/reference/addressbook/libebook:
	* docs/reference/calendar/libedata-cal:
	* docs/reference/calendar/libecal:
	Refresh to match source.

	Patch from Matthew Barnes <mbarnes@redhat.com> (#413173).

2007-03-08  Ross Burton  <ross@openedhand.com>

	* docs/reference/addressbook/libebook/libebook-sections.txt:
	* docs/reference/addressbook/libebook/tmpl/e-book-query.sgml:
	* docs/reference/addressbook/libebook/tmpl/e-vcard.sgml:
	Add missing symbols (#400169).

2007-02-26  Srinivasa Ragavan <sragavan@novell.com>

	* NEWS, configure.in: Evolution-Data-Server 1.9.92 
	release updates.

2007-02-26 Harish Krishnaswamy <kharish@novell.com>

	* configure.in : Update intltool version.

2007-02-23  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #356177

	* libedataserver/e-msgport.h: Deprecate EMutex.

2007-02-12  Srinivasa Ragavan <sragavan@novell.com>

	* NEWS, configure.in: Evolution-Data-Server 1.9.91 
	release updates.

2007-02-12  Kjartan Maraas  <kmaraas@gnome.org>

	* libedataserver/e-sexp.c: (parse_value): Fix a crash.
	Patch from Trond Myklebust. Closes bug #360017.

2007-02-12  Ross Burton  <ross@openedhand.com>

	* configure.in:
	Don't use AM_PATH_ORBIT, but pkg-config (#400544).

2007-02-12  Priit Laes  <plaes@svn.gnome.org>

	* configure.in: Prefix wasn't set for idl files which where then
	installed to /idl. Fixes bug #373495

2007-02-07  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #359979, #384183

	* e-msgport.c (e_msgport_wait): Behavior is now block-and-pop
	instead of block-and-peek.  Eliminates the need for a cache.

	* e-msgport.c (e_msgport_new), (e_msgport_get): Rip out the
	cache logic, which was broken anyway.

	* e-msgport.c (thread_dispatch): Adapt to new e_msgport_wait()
	semantics, and simplify the logic.

2007-01-29  Chenthill Palanisamy  <pchenthill@novell.com>

	Commiting on behalf of Andreas Henriksson <andreas@fatal.se>.
	
	* libdb/hash/hash_open.c: Fixes the order of memset arguments.

2007-01-23  Veerapuram Varadhan  <vvaradhan@novell.com>

	* NEWS, configure.in: Evolution-Data-Server 1.9.6 
	release updates.

2007-01-08  Harish Krishnaswamy  <kharish@novell.com>

	* src/server.c : s/g_message/printf. Do not call
	glib methods before g_thread_init.

2007-01-08  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Evolution-Data-Server 1.9.5
	release updates.

2007-01-08  Veerapuram Varadhan  <vvaradhan@novell.com>

	** Fixes eds part of bgo #362638 - Patch submitted by Matthew
	Barnes

	* libedataserver/e-msgport.[ch]: Obsolete EThread
	
2006-12-18  Veerapuram Varadhan  <vvaradhan@novell.com>

	* NEWS, configure.in: Evolution-Data-Server 1.9.4
	release updates.

	* camel/Makefile.am: Enable versioning for camel library

2006-12-09  Tor Lillqvist  <tml@novell.com>

	* libedataserver/e-categories.c (default_categories[]): Don't use
	E_DATA_SERVER_IMAGESDIR here, as it is a function call and not a
	literal string on Windows.
	(load_default_categories): Instead, construct the full image file
	pathname at run-time.
	
2006-12-04  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Evolution-Data-Server 1.9.3
	release updates.

2006-11-19  Matthew Barnes  <mbarnes@redhat.com>

	Fixes bug #353924

	* libedataserver/e-categories.c (e_categories_get_list):
	Sort categories using g_utf8_collate(), not g_ascii_strcasecmp().

2006-11-06  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Evolution-Data-Server 1.9.2
	release updates.

2006-11-06  Harish Krishnaswamy  <kharish@novell.com>

	* libedataserver/e-list-iterator.c: (e_list_iterator_new):
	Partial fix for #358004. Ensure type correctness on the argument.

2006-10-16  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Evolution-Data-Server 1.9.1
	release updates.

2006-10-16  Matthew Barnes  <mbarnes@redhat.com>

	Fixes bug #351930

	* configure.in:
	Remove EDS version from imagesdir.

	* libedataserver/e-categories.c:
	Store category information in ~/.evolution/categories.xml rather
	than the "/apps/evolution/general/category_master_list" GConf key.
	Streamline the code.

	* libedataserver/e-categories.c: (e_categories_get_list)
	Sort the list before returning it.

	* libedataserver/e-categories.c:
	(e_categories_get_color_for, e_categories_set_color_for,
	 e_categories_get_icon_file_for, e_categories_set_icon_file_for,
	 e_categories_is_searchable)
	Issue a warning if the given category name does not exist.

2006-10-16  Sankar P  <psankar@novell.com>

	* Committed the patch made by Matthew Barnes <mbarnes@redhat.com>

	* libedataserver/e-msgport.c: (msgport_sync_with_pipe),
	(msgport_sync_with_prpipe), (e_msgport_new), (e_msgport_destroy),
	(e_msgport_fd), (e_msgport_prfd), (e_msgport_put),
	(e_msgport_wait), (e_msgport_get), (e_msgport_reply),
	(e_thread_put):
	* libedataserver/e-msgport.h:

	Re-written EMsgPort.c API using GAsyncQueue 

2006-10-10  Tor Lillqvist  <tml@novell.com>

	* evolution-data-server-zip.in: Use BASE_VERSION in path for the
	zoneinfo, too.

2006-10-02  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Evolution-Data-Server 1.8.1
	release updates.

2006-09-29  Ross Burton  <ross@openedhand.com>

	* docs/reference/addressbook/libebook/libebook-docs.sgml:
	Add EDestination, remove e-book-async.
	
	* docs/reference/addressbook/libebook/tmpl/e-address-western.sgml:
	* docs/reference/addressbook/libebook/tmpl/e-book-async.sgml:
	* docs/reference/addressbook/libebook/tmpl/e-book.sgml:
	* docs/reference/addressbook/libebook/tmpl/e-contact.sgml:
	* docs/reference/addressbook/libebook/tmpl/e-vcard.sgml:
	* docs/reference/addressbook/libebook/tmpl/libebook-unused.sgml:
	Add some simple docs and re-gen.

2006-09-29  Ross Burton  <ross@openedhand.com>

	* docs/reference/addressbook/libebook/libebook.types:
	* docs/reference/addressbook/libebook/libebook-sections.txt:
	Add missing symbols and merge the async methods into the EBook
	docs (#346463)

2006-09-19  Matthew Barnes  <mbarnes@redhat.com>

	Fixes #356828

	* src/Makefile.am: Add a uninstall-local rule to remove
	$(DESTDIR)$(libexecdir)/evolution-data-server-$(BASE_VERSION).

2006-09-18  Matthew Barnes  <mbarnes@redhat.com>

	Fixes #353478

	* src/server-logging.c: (server_logging_dispose)
	Chain up to parent's dispose() method.

	* src/server-logging.c: (server_logging_finalize)
	Chain up to parent's finalize() method.

2006-09-04  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Evolution-Data-Server 1.8.0
	release updates.

2006-09-01  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in, camel/providers/Makefile.am: 
	Make IMAP4rev1 provider a conditional feature,
	turned off by default. Fixes #324118.

2006-08-21  Srinivasa Ragavan <sragavan@novell.com>

	* configure.in, NEWS: EDS 1.7.92 release.

2006-08-19  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #340417
	* libedataserver/e-source-list.c: 
	(e_source_list_new), (e_source_list_new_for_gconf),
	(e_source_list_new_for_gconf_default): use get_source_list_type. 
	(get_source_list_type): Check if the type is already registered and
	return it.

2006-08-07  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in, NEWS: EDS 1.7.91 release.
	
2006-08-07  Harish Krishnaswamy  <kharish@novell.com>

	* libedataserver/e-file-cache.c: (e_file_cache_set_property):
	Do not set the filename if it is already set.

2006-07-26  Veerapuram Varadhan  <vvaradhan@novell.com>

	** Fixes #343976
	* libedataserver/e-msgport.c (e_msgport_put): Make e_msgport_put
	symmetric to e_msgport_wait
	Patch contributed by Ed Catmur <ed@catmur.co.uk>
	
2006-07-25  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in, NEWS: EDS 1.7.90.1 release.

2006-07-24  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: EDS 1.7.90 release updates
	and version, libtool numbers bumped.

2006-07-21  Luca Ferretti  <elle.uca@libero.it>

	* configure.in: add support for xulrunner and seamonkey (NSS and NSPR).
	(committed by Karsten Bräckelmann)

2006-07-10  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in, NEWS: EDS 1.7.4 release updates
	and version, libtool numbers bumped.

2006-07-10  Frederic Peters <fpeters@entrouvert.com>

	* *.pc.in: defined @datarootdir@. Fixes #344596.

2006-07-08  Chenthill Palanisamy  <pchenthill@novell.com>
	
	Fixes #335692
	* libedataserver/e-iterator.c (e_iterator_is_valid):
	Added a NULL check.

2006-06-16  Tor Lillqvist  <tml@novell.com>

	* libedataserver/e-msgport.c: Rename the E_IS_SELECT_STATUS_INTR()
	portability macro to E_IS_STATUS_INTR() as it isn't spefic to
	select().
	(e_msgport_put, e_msgport_wait, e_msgport_get): Use
	E_IS_STATUS_INTR() instead of looking at errno directly. On Win32
	the socket functions don't touch errno. (And there is no EINTR
	style error possible in WinSock 2 anyway, according to MSDN.)
	
2006-06-15  Tor Lillqvist  <tml@novell.com>

	* configure.in: Add AM_CONDITIONAL for SUNLDAP (as always false)
	also to the Win32 branch of the if statement, to avoid error
	message when running the configure script.

2006-06-13  Andre Klapper <a9016009@gmx.de>

	* src/server.c:
	changing "couldn't", "can't" and "didn't" to proper
	English. Fixes bug #342160.

2006-06-12  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in, NEWS: EDS 1.7.3 release updates
	and version, libtool numbers bumped.
	
2006-06-12  simon.zheng  <simon.zheng@sun.com>

	Fix for #336453
	* acinclude.m4:
	* configure.in:
	Add SunLDAP library support - a variant of Netscape LDAP.

2006-06-07  Frederic Peters  <fpeters@0d.be>

	* configure.in: Assume strftime() is ok and supports %l and %k when
	running in cross-compilation mode.

2006-06-02  Tor Lillqvist  <tml@novell.com>

	* configure.in: Catch more failure modes of strftime() when
	presented with conversion specifications %l and %k: On Windows,
	these just do nothing, you don't get a 'l' or 'k' in the result,
	which was all we used to test for here. Catch also if strftime()
	does nothing at all when presented with a format containing
	unsupported conversion specifications.

	* libedataserver/e-data-server-util.c (e_strftime): The Microsoft
	strftime() doesn't have %e either.

2006-06-01  Jeffrey Stedfast  <fejj@novell.com>

	* libedataserver/e-msgport.c (e_msgport_get): Loop the reads
	checking errno for EINTR.
	(e_msgport_put): Loop the writes checking for EINTR. Also, instead
	of writing a nul-char, write 'E' as suggested by Michael Meeks for
	easier strace debugging purposes.

2006-05-31  Jeffrey Stedfast  <fejj@novell.com>

	Hopeful fix for Novell bug #176277

	* libedataserver/e-msgport.c: Changed the structure of EMsgPort
	slightly to make ::prpipe a union more like ::pipe.
	(e_pipe): For convenience, on error set the fds each to -1.
	(e_prpipe): New convenience function much like e_pipe but for
	PRFileDescs.
	(e_msgport_new): Always create the pipes here now instead of
	creating them on demand.
	(e_msgport_fd): Simply return the pipe fd (no longer creates the
	pipe on demand).
	(e_msgport_prfd): Same.

2006-05-24  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in: Added gnome-vfs-2.0 to camel library

2006-05-24  Ross Burton  <ross@burtonini.com>

	* docs/reference/addressbook/libebook/tmpl/e-book-view-listener.sgml:
	* docs/reference/addressbook/libebook/tmpl/e-book-view.sgml:
	* docs/reference/addressbook/libebook/tmpl/e-book.sgml:
	Update for doc changes.

2006-05-22  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: Update intltool requirements.
	
2006-05-18  Devashish Shamra  <sdevashish@novell.com>

	* libedataserver/e-dbhash.c (e_dbhash_new) :If there is an error in opening the
	database delete the DB structure.
	Patch by Ross Burton  <ross@openedhand.com>
	Fixes Bug #340039.

2006-05-15  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: Append -DLDAP_DEPRECATED to LDAP_CFLAGS and
	do not overwrite the value. Fixes a bug introduced by the previous
	commit.
	
2006-05-10  Harish Krishnaswamy  <kharish@novell.com>

	* addressbook/libebook/libebook.pc.in, 
	addressbook/libedata-book/libedata-book.pc.in,
	calendar/libecal/libecal.pc.in,
	calendar/libedata-cal/libedata-cal.pc.in,
	configure.in, evolution-data-server.pc.in,
	libedataserver/libedataserver.pc.in, 
	servers/groupwise/libegroupwise.pc.in: Remove extra space following -I which
	is not kind to Tru64 Unix C compilers. Patch suggested by the Written Word.
	Fixes #271839.

2006-05-09  Ross Burton  <ross@openedhand.com>

	* libedataserver/e-data-server-module.h:
	* libedataserver/e-data-server-module.c:
	Allow EDataServerModule to remove unused modules (#319396).

2006-05-02  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Patch from Sushuma Rai to fix build with
	modern openldap versions. Closes part of bug #325957.

2006-04-25  Brian Pepple  <bdpepple@gmail.com>

	* po/LINGUAS: New file listing all supported languages.

	* configure.in: Use po/LINGUAS instead of including all languages
	directly in this file. See the wiki for more information:
	http://live.gnome.org/GnomeGoals/PoLinguas

2006-04-25  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Figure out auto-magically what the mozilla-nss
	pkg-config module name is.

2006-04-24  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Release updates. Bump version.
	***** Release 1.7.1 *****

2006-04-24  Devashish Sharma  <sdevashish@novell.com>

	* configure.in : Added a configure time switch to support dynamic
	linking with libdb. The default is static linking and by using the
	switch --with-libdb=prefix dynamic linking with libdb can be
	enabled.
	Patch by Ross Burton  <ross@burtonini.com>
	
2006-04-18  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Added the Mail Directory configure info.

2006-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO.

2006-04-10  Tor Lillqvist  <tml@novell.com>

	* libedataserver/e-time-utils.c (get_locale_string)
	(translate_picture): New Win32-only helper functions.
	(__strptime_internal): Add Win32 love to fix a Win32-specific bug
	in calendar reported by Thierry Dubois.

2006-03-29  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in (LARGEFILE_CFLAGS): new configure checks to #define
	O_LARGEFILE if not present and to set other required CFLAGS for
	large file support.

2006-03-23  Chenthill Palanisamy  <pchenthill@novell.com>
	
	Fixes #334807
	* libedataserver/e-source-group.c: Check if the 
	object is created before accessing it.
	
2006-03-22  Tommi Vainikainen  <thv@iki.fi>

	* configure.in (ALL_LINGUAS): Added Dzongkha (dz).

2006-03-20  Srinivasa Ragavan  <sragavan@novell.com>

	* configure.in: Added support for gnome-key-ring.

2006-03-02  Devashish Sharma <sdevashish@novell.com>

	Fixes #303046
	* libedataserverui/e-name-selector-dialog.c:
	(e_name_selector_dialog_init): Select contacts from address book 
	screen doesn't use current contact source

2006-02-27  Srinivasa Ragavan <sragavan@novell.com>

	* configure.in, NEWS: Release updates. Bump version.
	***** Release 1.5.92 *****
	
2006-02-27  Tor Lillqvist  <tml@novell.com>

	* libedataserver/e-data-server-util.c: The fixed Win32 versions of
	g_rename() and g_stat() have been in GLib since GLib 2.8.5, so
let's drop them from here.

2006-02-24  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #332318 #329356
	* libedataserver/e-time-utils.c: (e_time_parse_date): Added the format
	%x for representing the date for current locale.

2006-02-13  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in, NEWS: Release updates. Bump version.
	***** Release 1.5.91 *****

2006-02-09  Kjartan Maraas  <kmaraas@gnome.org>

	* libedataserver/e-categories.c: (cleanup_at_exit): Don't
	call g_source_remove() when source id is 0. Closes bug #327413.

2006-02-09  Sushma Rai  <rsushma@novell.com>

	* libedataserver/e-source-list.c (e_source_list_is_gconf_updated):
	Fixed some memory leaks. See #329251.

2006-02-09  Sushma Rai  <rsushma@novell.com>

	* libedataserver/e-categories.c (initialize_categories_config): Freeing
	xml properties. See #309316.

2006-02-06  Harish Krishnaswamy  <kharish@novell.com>

	* evolution-data-server.pc.in: Add variable execversion
	that denotes the version of the evolution-data-server
	executable.

2006-02-04  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* configure.in: Added 'th' (Thai) to ALL_LINGUAS.

2006-02-02  Tor Lillqvist  <tml@novell.com>

	* configure.in: Don't use getadrinfo() etc on Windows, as they are
	present on XP only. Windows 2000 is still widespread.

2006-01-30  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in, NEWS: Release updates, bump version
	***** Release 1.5.90 *****

2006-01-30  Harish Krishnaswamy  <kharish@novell.com>

	* libedataserver/e-data-server-module.c:
	(e_data_server_module_add_type):
	* libedataserver/e-data-server-module.h:
	Reverting the previous commit as it breaks the API freeze.
	Shall get this in HEAD as soon as we branch out.

2006-01-30  Ross Burton  <ross@openedhand.com>

	* libedataserver/e-data-server-module.c:
	* libedataserver/e-data-server-module.h:
	Add e_data_server_remove_unused() to release unused modules
	(#319396).

2006-01-21  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.in: add "zh_HK" to ALL_LINGUAS.
	
2006-01-17  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in, NEWS: Release updates, bump version
	libtool numbers.
	***** Release 1.5.5 *****

2006-01-16  P S Chakravarthi <pchakravarthi@novell.com>

	* libedataserver/e-source-list.[ch] : added a function called
	e_source_list_is_gconf_updated () which returns a boolean indicating
	whether or not a given ESourceList instance is in sync with its
	corresponding gconf xml or not.
	e_source_list_sync () : added an if clause that uses the above
	function before updating the gconf.

2006-01-16  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in : Add target for CALDAV calendar
	backend.

2006-01-12  Harish Krishnaswamy  <kharish@novell.com>

	* src/GNOME_Evolution_DataServer.server.in.in:
	* src/server.c:
	The Cal and Book Factory oafids should reflect
	the API version rather than the BASE version.
	Fixes #323115.

2006-01-10  Simon Zheng  <simon.zheng@sun.com>

	* docs/reference/camel/camel-sections.txt:
	* docs/reference/camel/tmpl/camel-file-utils.sgml:
	Detele the function camel_mkdir description.
	
	* libedataserver/e-data-server-util.h: Rename e-util.h as this 
	file.

	* libedataserver/e-data-server-util.c: Rename e-util.c as this
	file.

	(e_util_mkdir_hier):Merge the change
	of evolution/e-util/e-util.c (e_mkdir_hier) into this copy.

	(e_strftime):Merge the change of evolution/e-util/e-util.c into
	this copy.

	* libedataserver/Makefile.am:
	* libedataserver/e-file-cache.c:
	* libedataserver/e-msgport.c:
	* libedataserver/e-time-utils.c:
	* src/server.c: 
	Replace e-util.h as e-data-server-util.h, and replace e-util.c as
	e-data-server-util.c.

2006-01-08  Tor Lillqvist  <tml@novell.com>

	* configure.in: Define _WIN32_WINNT as 0x501 in the config.h on
	Win32 to get freeaddrinfo(), getaddrinfo() and getnameinfo()
	declarations with current mingw w32api headers.

2006-01-06  Simon Zheng  <Simon.Zheng@sun.com>
 
       * libedataserver/e-account-list.c: Since e-util/e-account-list.c 
       in evolution module has been developed further, merge those 
       changes into libedataserver and drop e-util/e-account-list.c.
 
       libedataserver/e-account-list.h: Since e-util/e-account-list.h in
       evolution module has been developed further, merge those changes 
       into libedataserver and drop e-util/e-account-list.h.
 
       libedataserver/e-account.c: Since e-util/e-account.c in
       evolution module has been developed further, merge those changes 
       into libedataserver and drop e-util/e-account.c.
 
       libedataserver/e-account.h: Since e-util/e-account.h in
       evolution module has been developed further, merge those changes 
       into libedataserver and drop e-util/e-account.h.

2006-01-04  Tor Lillqvist  <tml@novell.com>

	* libedataserver/e-util.c (e_util_replace_prefix): As this
	(Win32-only) function is called from evo, too, it needs a third
	argument, the configure time prefix that it should replace,
	instead of harcoding e-d-s's one. (Assuming e-d-s and evo are
	configured with different temporary dirs as prefix, which is the
	recommended way.)

	* libedataserver/e-util.h: Update declaration correspondingly.

	* src/server.c (libdir): Modify calls correspondingly.

2006-01-02  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Release updates, bump version
	libtool numbers.
	***** Release 1.5.4 *****

2005-12-13  Tor Lillqvist  <tml@novell.com>

	* libedataserver/e-uid.c (e_uid_new): Use g_get_host_name() when
	building against GLib >= 2.8, not just on Win32.

2005-12-12  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Release updates, bump version
	libtool numbers.
	***** Release 1.5.3 *****

2005-12-09  Tor Lillqvist  <tml@novell.com>

	* libedataserver/e-msgport.c: Add some socket API wrappers to hide
	Unix/Winsock differences.

	Use separate flag fields to indicate whether we have a thread or
	not in the EThread and EMutex structs. There is no portable way to
	check a pthread_t for uninitializedness. Remove the E_THREAD_NONE
	magic constant.

	The portable way to check two pthread_t values for equality is
	pthread_equal().

	Use e_util_pthread_id() to get an "id" for the thread in debugging
	output.
	
	(e_pipe): New function, Win32 only. Creates a connected TCP socket
	pair. Should have this in GLib, I guess. This code snippet is
	essentially duplicated in
	ORBit2/linc/src/linc-compat.c:link_pipe() and at least one other
	place I don't recall now.

	(e_msgport_prfd): Use PR_NewTCPSocketPair() instead of
	PR_CreatePipe() on Win32, as we want sockets, not a pipe (file
	descriptors).

	* libedataserver/e-util.c (e_util_mkdir_hier): When building
	against GLib 2.8, use g_mkdir_with_parents().
	(e_util_utf8_strcasecmp): New function. Casefolds two UTF-8
	strings, then does a linguistically correct comparison using
	g_utf8_collate().
	(e_filename_make_safe): New function, move here from
	evolution/e-util/e-util.c.
	(g_rename, g_stat): Win32-only fixed versions of these GLib
	functions, just until the next GLib version including the same
	fixes is out. This version of g_rename() overwrites existing
	files, and this version of g_stat() strips trailing insignificant
	slashes.

	* libedataserver/e-util.h: Declare the new functions.

2005-12-08  Tor Lillqvist  <tml@novell.com>

	* libedataserver/e-db3-utils.c
	* libedataserver/e-file-cache.c: Use gstdio wrappers.

	* libedataserver/e-source.c (e_source_build_absolute_uri): Don't
	use G_DIR_SEPARATOR or g_build_filename() to manipulate URIs. URIs
	always use slashes, not platform-dependent separators.
	(e_source_set_name): Compare the strings, not the pointers.

	* libedataserver/e-source-group.c (e_source_group_set_name):
	Compare the strings, not the pointers.

	* libedataserver/e-xml-utils.c
	* libedataserver/e-xml-utils.h: New files.
	(e_xml_parse_file): Replacement for xmlParseFile(). Needed because
	the file names we handle on Win32 are in UTF-8, which libxml2
	doesn't grok. So, when using GLib 2.8, we map the file with the
	GMappedFile API and use xmlParseMemory(). When built against older
	GLibs (which doesn't happen on Win32), just use xmlParseFile().
	(e_xml_save_file, e_xml_get_child_by_name): Moved from Evolution's
	e-xml-utils.c. Presumably should move all the rest of the
	functions from there, too.

	* libedataserver/Makefile.am: Add the new files. Install
	e-xml-utils.h.

	* libedataserver/e-xml-hash-utils.c: Use e_xml_parse_file() and
	e_xml_save_file(). As e_xml_save_file() does the very careful
	saving using a temporary filename and then rename, don't need to
	that here.

2005-12-07  Irene Huang <Irene.Huang@sun.com>

	Fix for #323349.

	* configure.in: Change iconv_open ("UTF-8", "ISO_8859-1") 
	to iconv_open ("UTF-8", "ISO-8859-1") to avoid build error
	on solaris.
	
2005-12-07  Tor Lillqvist  <tml@novell.com>

	* libdb/dbinc/db_int.in: As we are using this file (and not the
	prebuilt one in libdb/build_win32/db_int.h) when building using
	autofoo on Win32, need to have the correct PATH_SEPARATOR for
	Win32, too. Add ifdef.

	* libdb/os_win32/os_open.c (__os_open): When using a
	user-registered open function to open the file (and not
	CreateFile()), we still need to set the DB_FH::handle, too, as all
	the other stuff in libdb/os_win32 assumes it is correctly set
	up. On Win32, addressbook/backends/file needs to register an own
	open function (that uses g_open()) as the pathnames e-d-s handles
	on Win32 are in the GLib encoding (i.e., UTF-8) and not the system
	codepage that CreateFile() wants.

2005-12-06  Tor Lillqvist  <tml@novell.com>

	* configure.in: Set LIBEXECDIR_IN_SERVER_FILE to libexecdir on
	Unix. On Win32, set it to a path relative from lib/bonobo/servers.
	
	* src/GNOME_Evolution_DataServer.server.in.in: Use
	LIBEXECDIR_IN_SERVER_FILE here. We don't want absolute
	compile-time paths in the .server file on Win32. libbonobo on
	Win32 interprets relative location paths to exes or shlibs as
	being relative to the directory where the .server file was found.
	This makes the .server file point to the correct executable
	regardless of where e-d-s is installed on the end-user machine.

2005-12-02  Tor Lillqvist  <tml@novell.com>

	* src/GNOME_Evolution_DataServer.server.in.in: Add missing dash in
	the executable file's name in the InterfaceCheck location.

	* evolution-data-server-zip.in: New file, a script used to build a
	Win32 zipfile distribution of E-D-S. (End users will not be
	expected to install from zipfiles, they would be for power users
	and developers only.)

	* Makefile.am
	* configure.in: Distribute and expand it.

2005-12-01  Chenthill Palanisamy  <pchenthill@novell.com>

	reviewed by Srinivasa Ragavan  <sragavan@novell.com>
	
	* libedataserver/e-uid.c: (e_uid_new): Use the functions
	defined in glib -2.8 only for win32 as it fails to build
	for OS which has glib 2.4.

2005-12-01  Tor Lillqvist  <tml@novell.com>

	* libedataserver/e-util.c (e_util_pthread_id): Fix silly bug in
	the ifdef section for "uncommon" platforms. Thanks to Ross Burton for
	noticing.

2005-11-25  Tor Lillqvist  <tml@novell.com>

	* libedataserver/e-categories.c (add_category_if_not_present):
	Drop unused static function.
	(e_categories_add_relative): New function. Form the pathname to
	the icon file at run-time (for installability in freely chosen
	location on Windows).
	(initialize_categories_config): Call e_categories_add_relative()
	with just the basename of the icon files.
	
	* libedataserver/e-data-server-module.c
	(e_data_server_module_init): Include libedataserver-private.h to
	get redefinition of E_DATA_SERVER_EXTENSIONDIR (for run-time
	pathname construction) on Windows.

	* libedataserver/e-time-utils.c: Include strptime() implementation
	lifted from glibc for portability. Use it unless
	HAVE_STRPTIME. Make it local for this file, though.

	* libedataserver/e-uid.c (e_uid_new): Use g_get_host_name() from
	GLib 2.8 instead of gethostname().

	* libedataserver/e-url.c (e_uri_new): Use g_ascii_strncasecmp()
	instead of strncasecmp() for portability.

	* libedataserver/e-util.c: Implement install-anywhere machinery
	for Win32.
	(DllMain): Minimal DllMain that just tucks away the handle to the
	DLL.
	(_libedataserver_get_extensiondir, _libedataserver_get_imagesdir,
	_libedataserver_get_ui_gladedir): Functions private to e-d-s.
	(e_util_get_prefix, e_util_get_cp_prefix, e_util_get_localedir,
	e_util_replace_prefix): Functions intended also for Evolution. We
	assume e-d-s and evo are installed in the same folder on the
	end-user machine.
	
	* libedataserver/e-util.h: Declare the above new public Win32-only
	functions.

	* libedataserver/libedataserver-private.h: New file. Declares so
	far some Win32-only functionality, to be used in various parts of
	e-d-s.

	* libedataserver/md5-utils.c (md5_get_digest_from_file): Use
	gstdio wrappers for better non-ASCII filename support on
	Win32. Open file in binary mode. Don't use sizeof(guchar), it
	won't be different than 1 in this universe. Do use sizeof(tmp_buf)
	instead of hardcoding 1024. Drop leftover debugging printouts.

	* libedataserver/Makefile.am: Add libedataserver-private.h. Pass
	more configure-time pathname definitions (as used elsewhere in
	e-d-s) in INCLUDES so that they can be recognized and changed at
	run-time to end-user machine installation paths on Win32.

	* src/server.c: No segv handling on Win32. Run-time path
	construction for the PREFIX, SYSCONFDIR, DATADIR and LIBDIR used
	in GNOME_PROGRAM_STANDARD_PROPERTIES which is passed to
	gnome_program_init().

2005-11-18  Ross Burton  <ross@burtonini.com>

	* libedataserver/md5-utils.c:
	* libedataserver/e-component-listener.c:
	Fix build.

2005-11-17  Ross Burton  <ross@burtonini.com>

	* libedataserver/md5-utils.c:
	* libedataserver/md5-utils.h:
	Don't do byte order checks at runtime but use the GLib
	G_BYTE_ORDER macro (#319592)

2005-11-17  Ross Burton  <ross@burtonini.com>

	* libedataserver/e-account-list.c:
	* libedataserver/e-account.c:
	* libedataserver/e-component-listener.c:
	* libedataserver/e-file-cache.c:
	* libedataserver/e-iterator.c:
	* libedataserver/e-list-iterator.c:
	* libedataserver/e-list.c:
	* libedataserver/e-sexp.c:
	* libedataserver/e-source-group.c:
	* libedataserver/e-source-list.c:
	* libedataserver/e-source.c:
	Use G_DEFINE_TYPE and add some more const keywords (#319591)

2005-11-15  Ross Burton  <ross@burtonini.com>

	* libedataserver/e-data-server-module.c
	Use lazy bindings (#321515)

2005-11-14  Harish Krishnaswamy  <kharish@novell.com>

	* NEWS, configure.in: Release updates, bump version.
	***** Release 1.5.2 *****

2005-10-28  Erdal Ronahi  <erdal.ronahi@gmail.com>

	* configure.in: Added ku (Kurdish) to ALL_LINGUAS

2005-10-28  Sushma Rai  <rsushma@novell.com>

	* libedataserver/e-categories.c (initialize_categories_config): Add
	default categories only if the category list is empty in gconf, so that
	we don't bring back the deleted category from the default list
	every time. Fixes #273905.

2005-10-26  Harish Krishnaswamy  <kharish@novell.com>

	* src/GNOME_Evolution_DataServer.server.in.in:
	Fixed bonobo server install locations as well.
	(See below.)

2005-10-25  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: Update version, libtool numbers.
	*** Release 1.5.1 ***
	* src/Makefile.am : Fixed the executable installation
	error in the previous patch. Executable installed in
	libexecdir - not under evolution-data-server-$(API_VERSION).

2005-10-24  Irene Huang <Irene.Huang@sun.com>

	* configure.in: Add API_VERSION to EVO_SUBST_SERVER_RULE
	* src/GNOME_Evolution_DataServer.server.in.in: Change location
	of OAFIID:GNOME_Evolution_DataServer_BookFactory:@VERSION@,
	OAFIID:GNOME_Evolution_DataServer_CalFactory:@VERSION@,
	OAFIID:GNOME_Evolution_DataServer_InterfaceCheck,
	OAFIID:GNOME_Evolution_DataServer_Logging from
	@LIBEXECDIR@/evolution-data-server-@VERSION@@EXEEXT@ to
	@LIBEXECDIR@/evolution-data-server-@API_VERSION@/evolution-
	data-server-@VERSION@@EXEEXT@.
	* src/Makefile.am: In section install-evolution-data-servers:
	change to $(mkinstalldirs) $(DESTDIR)$(libexecdir)/evolution-
	data-server-$(API_VERSION)
	$(LIBTOOL) --mode=install $(INSTALL_PROGRAM) evolution-data-server
	$(DESTDIR)$(libexecdir)/evolution-data-server-$(API_VERSION)/
	evolution-data-server-$(BASE_VERSION)

2005-10-17  Ross Burton  <ross@burtonini.com>

	* configure.in:
	Change UTF-8 check from ISO-2022-JP to ISO-8859-1 (#317451).

2005-10-14  Ross Burton  <ross@burtonini.com>

	* configure.in: Remove unused dependencies from the pkg-config
	calls and add E_FACTORY_CFLAGS/_LIBS.

	* src/Makefile.am: Use E_FACTORY_*.

	* libedataserver/e-sexp.c:
	* libedataserver/test-source-list.c:
	Don't use libgnome when GTK+ or GLib will do.

	* libedataserver/libedataserver.pc.in:
	Fix strings, update libraries.

2005-09-17  Andre Klapper  <a9016009@gmx.de>

	Fixes #273149.
	* libedataserver/e-categories.c: adding translator comment for
	"hot contacts".

2005-09-16  Tor Lillqvist  <tml@novell.com>

	* libedataserver/e-iconv.c (e_iconv_charset_language): Use
	g_ascii_strcasecmp() instead of strcasecmp(). The strings we are
	comparing are just ASCII anyway, so spell it out that we really do
	need ASCII casefolding only.

2005-09-15  Tor Lillqvist  <tml@novell.com>

	* acinclude.m4 (EVO_PTHREAD_CHECK): Check if pthread_t is an
	integral type (or pointer) that can be cast to a guint64 without
	loss of precision. If so, AC_DEFINE HAVE_GUINT64_CASTABLE_PTHREAD_T.

	* configure.in: Move the EVO_PTHREAD_CHECK call after GLIB_CFLAGS
	has been set up.

	* libedataserver/e-util.c: Just include <glib.h> instead of a
	random set of <glib/*.h>. Remove large amount of whitespcace on
	some empty lines.
	(e_util_utf8_strstrcase): Clarify doc comment, mention that no
	proper Unicode case folding or normalization is done.
	(e_util_pthread_id): New function, returns an integer representing
	a thread. Only for debugging output and logging purposes, cannot
	be guaranteed to be consistent on all platforms.

	* libedataserver/e-util.h: Include <pthread.h>. Declare
	e_util_pthread_id().

2005-09-14  Tor Lillqvist  <tml@novell.com>

	* win32/README
	* win32/Makefile.am
	* win32/dummy.la
	* win32/libedataserverui.def: New files. Bootstrap import library
	for libedataserverui. Needed in servers/exchange/storage where
	libexchange-storage-1.2.la links to libedataserverui before it has
	been built.

	* configure.in: Add -ldnsapi to SOCKET_LIBS on Win32. Always
	enable LDAP and Exchange on Win32, don't need to test. AC_OUTPUT
	also win32/Makefile.

	* Makefile.am: Add win32 to SUBDIRS.

2005-09-01  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* confugure.in : Add API_VERSION to config.h

2005-08-29  Harish Krishnaswamy <kharish@novell.com>
	
	* configure.in : Update release number to 2.4.0

2005-08-26  Chenthill Palanisamy  <pchenthill@novell.com>

	* configure.in: Do not build camel docs.
	* docs/reference/Makefile.am: Removed camel docs. 
	reviewed by Parthasarathi Susarla <sparthasarathi@novell.com>

2005-08-22  Not Zed  <NotZed@Ximian.com>

	* libedataserver/e-xml-hash-utils.c (e_xmlhash_foreach_key): cast
	the func to remove a warning.

2005-08-22  Harish Krishnaswamy <kharish@novell.com>

	* configure.in : bump version
	***** Release 1.3.8  *****

2005-08-22  Harish Krishnaswamy <kharish@novell.com>
	
	* docs/reference/Makefile.am : enable libedataserver docs
	* libedataserver/e-sexp.h, docs/reference/libedataserver
	/libedataserver-sections.txt: Fix build issues - patch 
	contributed by Tor Lillqvist  <tml@novell.com>
	
2005-08-22  Shreyas Srinivasan  <sshreyas@novell.com>

	* configure.in: Build camel-docs.
	* docs/reference/Makefile.am: Build camel-docs.
	
2005-08-21  Chenthill Palanisamy  <pchenthill@novell.com>

	* libedataserver/e-xml-hash-utils.[ch]:
	(e_xmlhash_foreach_key_remove): function to remove
	hash keys.
	Committing for Armin Bauer  <armin.bauer@desscon.com>
	and modified by <jmubeen@novell.com> and
	<vvaradhan@novell.com>.

2005-08-19  Sarfraaz Ahmed <asarfraaz@novell.com>

	* configure.in : Add the check for NTLM support in OpenLDAP. This
	is needed for enabling the Exchange support in e-d-s.

2005-08-19  Harish Krishnaswamy <kharish@novell.com>

	* configure.in : Build libedataserver api docs

2005-08-18  Tor Lillqvist  <tml@novell.com>

	* libedataserver/e-iconv.c (e_iconv_init): Sync with the version
	in evolution/e-util: Use g_win32_getlocale() and g_get_charset()
	on Win32. (Why is this file duplicated in e-d-s and evo, BTW?)

2005-08-13  Tor Lillqvist  <tml@novell.com>

	* libedataserver/Makefile.am: Link with SOCKET_LIBS. Use
	NO_UNDEFINED.

	* src/Makefile.am (INCLUDES): Remove stray trailing slashes from
	some -I options.

2005-08-08  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: Update version, libtool numbers.
	
	*****Release 1.3.7*****

2005-08-05  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: fix for bug #300048. patch
	submitted by Roland Illig <roland.illig@gmx.de>

2005-07-30  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: update libtool numbers for libebook

2005-07-29  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: Bump version number
	
	*****Release 1.3.6.1***** includes fix for
	#311731 - (Removing folders from an IMAP) 
	

2005-07-28  Tor Lillqvist  <tml@novell.com>

	* src/GNOME_Evolution_DataServer.server.in.in: Use EXEEXT.

2005-07-26  Harish Krishnaswamy <kharish@novell.com>
	
	* configure.in : bump version
	****** Release 1.3.6 *****

2005-07-21  Joe Shaw  <joeshaw@novell.com>

	* libedataserver/e-source-group.c:
	* libedataserver/e-source-list.c:
	* libedataserver/e-source.c: Change the init and class_init
	functions to contain the whole class name for the benefit of the
	gtk-sharp parser.

2005-07-20  Tor Lillqvist  <tml@novell.com>

	* configure.in: Enable building with Mozilla nspr and nss on
	Win32. No -ldl on Win32. No import library for softokn3.dll.

2005-07-14  Sarfraaz Ahmed <asarfraaz@novell.com>

	* configure.in : Substituting the CURRENT:REVISION:AGE variables for 
	library versions

2005-07-12  Harish Krishnaswamy  <kharish@novell.com>
	
	* configure.in : bump version, libtool numbers.
	***** Release 1.3.5 *****

2005-07-06  Ross Burton  <ross@openedhand.com>

	* libedataserver/e-util.c:
	Remove a function and table which is in GLib.

2005-07-06  Harish Krishnaswamy  <kharish@novell.com>
	
	* configure.in : align the name of the LIBEXCHANGE_STORAGE
	 to the conventions (_ instead of -).

2005-07-02  Harish Krishnaswamy  <kharish@novell.com>
	
	* configure.in : bump version, libtool numbers.

2005-07-02  Harish Krishnaswamy  <kharish@novell.com>

	* libedataserver/e-categories.c: (initialize_categories_config):
	Fix all the compiler warnings.

2005-06-22  Tor Lillqvist  <tml@novell.com>

	* configure.in: Don't check locking on Win32. Add gnome-vfs-2.0 o
	E_DATA_SERVER_DEPS. Add gobject-2.0 to CAMEL deps. Substitute also
	EXEEXT in EVO_SUBST_SERVER_RULE.

2005-06-12  Sarfraaz Ahmed <asarfraaz@novell.com>

	* servers/Makefile.am : use ENABLE_LDAP instead of HAVE_LDAP
	* configure.in : And rename HAVE_KRB5 to ENABLE_KRB5.

2005-06-12  Sarfraaz Ahmed <asarfraaz@novell.com>

	* configure.in : Print the status for Exchange support being present.
	* servers/Makefile.am : Build Exchange only if LDAP is enabled.

2005-06-11  Sarfraaz Ahmed <asarfraaz@novell.com>

	* configure.in : Fixed a minor typo to fix make clean.

2005-06-10  Sarfraaz Ahmed <asarfraaz@novell.com>

	* configure.in : Added the Exchange server communication code to
	servers directory. Also enabled a HAVE_KRB5 automake conditional.
	* servers/Makefile.am : Now build exchange as well.

2005-06-09  Harish Krishnaswamy <kharish@novell.com>

	* configure.in : Do not build camel docs. They are borked now :(

2005-06-07  Harish Krishnaswamy <kharish@novell.com>

	* configure.in : bump version, libtool numbers.

2005-05-31  Rodrigo Moya <rodrigo@novell.com>

	* src/GNOME_Evolution_DataServer.server.in.in: added missing
	names for CORBA services.

2005-05-28  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Disable the libedataserver api docs build
	* docs/reference/Makefile.am: Here too. It doesn't build.

2005-05-24  Tor Lillqvist  <tml@novell.com>

	* configure.in: Define NO_UNDEFINED as -no-undefined and
	SOCKET_LIBS as -lws2_32 (the WinSock2 library) on Win32. AC_SUBST
	them. Check for strtok_r. Add gobject-2.0 to
	EVOLUTION_ADDRESSBOOK_DEPS and EVOLUTION_CALENDAR_DEPS.
	
2005-05-24  Tor Lillqvist  <tml@novell.com>

	Make libdb as included in e-d-s build on Win32 with mingw. (The
	official build setup for libdb uses MSVC.)

	* libdb/dist/Makefile.in: Use EXEEXT for Win32 portability. Use
	the MAKEFILE_MAYBE_WIN32 variable (which configure.ac sets to
	empty on Unix, "_win32" on Win32) to use those source files that
	have an own copy in os_win32 from there.

	* libdb/dist/config.hin: Add DB_WIN32 flag. Insert stuff from the
	libdb/build_win32_db_config.h file.

	* libdb/dist/configure.ac: Changes for mingw builds. AC_SUBST some
	more variables.

	* libdb/dist/configure: Manually make corresponding changes as in
	configure.ac. (Yuck! But we don't run autogen in libdb/dost, so
	what else to do?)

	* libdb/os_win32/os_type.c: Include db_int_def.h here, too.

2005-05-19  Tor Lillqvist  <tml@novell.com>

	* configure.in: Check for regexec in a separate -lregex. Add
	gmodule to CAMEL_CFLAGS and _LIBS, as camel uses gmodule,
	too. Don't bother mentioning glib as gthread and gmodule drag in
	it automatically.

2005-05-18  Harish Krishnaswamy <kharish@novell.com>

	* configure.in : bump version, libtool numbers. 

2005-05-18  Harish Krishnaswamy <kharish@novell.com>

	* docs/reference/Makefile.am : Do not build 
	camel docs.  They are a bit flaky ATM.

2005-05-13  Rodrigo Moya <rodrigo@novell.com>

	* libedataserver/e-categories.c (add_category_if_present): new private
	function to create standard categories if they don't exist.
	(initialize_categories_config): make sure, in all cases, that our
	standard categories are available.

2005-05-13  Shreyas Srinivasan  <sshreyas@novell.com>

	* libedataserver/e-categories.c: Add new Anniversary category, 
	Fixes #256874
	
2005-05-13  Harish Krishnaswamy  <kharish@novell.com>
	
	* configure.in: export LIBSOUP for use elsewhere.

2005-05-06  Tor Lillqvist  <tml@novell.com>

	* configure.in: Check for Win32 (mingw), set Automake
	conditional. Move the libtool stuff a bit earlier so that $host
	gets set early and can be checked in a more logical place. Check
	for some more headers and functions. Use gobject-2.0 instead of
	glib-2.0 in E_DATA_SERVER_DEPS as the libs we build do depend on
	gobject. Check for libsoup-2.4 first, as that is what HEAD libsoup
	calls its .pc file. On Win32, copy the libtool generated here to
	libdb/dist.
	
2005-05-05  Veerapuram Varadhan <vvaradhan@novell.com>

	* configure.in: Added "docs/reference/calendar/libedata-cal".
	
2005-05-04  Rodrigo Moya <rodrigo@novell.com>

	* configure.in:
	* docs/reference/calendar/Makefile.am:
	* docs/reference/calendar/libedata-cal/*: added gtk-doc setup for
	libedata-cal.

	* docs/reference/libedataserver/libedataserver-docs.sgml: added missing
	files.

2005-05-04  Rodrigo Moya <rodrigo@novell.com>

	* docs/reference/calendar/*: improved API documentation.

2005-04-26  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in:  bump version, libtool numbers.

2005-04-25  Harish Krishnaswamy  <kharish@novell.com>

	* configure.in: Modify camelproviderdir to use API_VERSION.
	* evolution-data-server.pc.in: use VERSION instead of API_VERSION.

2005-04-20  Ross Burton  <ross@burtonini.com>

	* src/offline-listener.c:
	Remove an usused variable.

2005-04-20  Ross Burton  <ross@burtonini.com>

	* libedataserver/e-data-server-module.c:
	* libedataserver/e-data-server-module.h:
	* src/server.c:
	Use a #define hack to revert API change to EDataServerModule.
	
2005-04-20  Ross Burton  <ross@burtonini.com>

	* configure.in: Depend on GLib 2.4.

	* libedataserver/e-data-server-module.c:
	* libedataserver/e-data-server-module.h:
	Use G_DEFINE_TYPE over GNOME_CLASS_BOILERPLATE, and rename
	e_data_server_module_init to _initialize.

	* src/server.c:
	Update for change to e-data-server-module.h.

2005-04-20  Ross Burton  <ross@burtonini.com>

	* src/offline-listener.c: Don't leak a GConfValue.

2005-04-20  James Henstridge  <james@jamesh.id.au>

	* configure.in (EVO_SET_COMPILE_FLAGS): fix up macro so that it
	doesn't trigger configure failures with newer versions of
	pkg-config.  Fixes bug #300435.

2005-04-14  Sushma Rai  <rsushma@novell.com>

	* libedataserver/e-source.c (e_source_set_relative_uri): Resetting the
	absolute uri, when relative uri is changed if source is having absolute
	uri. 
	Fixes #274308
	 
2005-04-11  Harish Krishnaswamy  <kharish@novell.com>

	* Makefile.am: use API_VERSION instead of BASE_VERSION in 
	pc files.
	* configure.in: bump version, leave extensiondir, idldir,
	bonobo server and libtool numbers untouched (use API_VERSION
	instead).
	* evolution-data-server.pc.in, libedataserver/Makefile.am, 
	servers/groupwise/Makefile.am, src/Makefile.am: use API_VERSION.

2005-04-07  Gareth Owen  <gowen72@yahoo.com>

	* po/en_GB.po: Updated British English translations

2005-03-31  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-03-30  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added "xh" to ALL_LINGUAS.

2005-03-29  James Bowes  <bowes@cs.dal.ca>

	* docs/reference/libedataserver/libedataserver-docs.sgml:
	* docs/reference/libedataserver/libedataserver-sections.txt: Add
	e-time-utils and e-xml-hash-utils.
	* docs/reference/libedataserver/tmpl/e-time-utils.sgml:
	* docs/reference/libedataserver/tmpl/e-xml-hash-utils.sgml: New API
	template files.
	* libedataserver/e-time-utils.c:
	* libedataserver/e-time-utils.h:
	* libedataserver/e-xml-hash-utils.c:
	* libedataserver/e-xml-hash-utils.h: New API documentation.

2005-03-27  Pawan Chitrakar  <pawan@nplinux.org>

	* configure.in: Add ne in ALL_LINGUAS

2005-03-23  James Bowes  <bowes@cs.dal.ca>

	* configure.in: Add docs/reference/libedataserver/Makefile 
	as output.
	* docs/reference/Makefile.am: Add libedataserver as subdir.
	* docs/reference/libedataserver/Makefile.am: Remove ignored files
	section.
	* docs/reference/libedataserver/libedataserver-docs.sgml: Add
	sections for new API docs.
	* docs/reference/libedataserver/libedataserver-sections.txt: Make
	nice formatting for the new documentation.
	* libedataserver/e-trie.c:
	* libedataserver/e-uid.c:
	* libedataserver/e-url.c:
	* libedataserver/e-url.h:
	* libedataserver/e-util.c:
	* libedataserver/e-util.h:
	* libedataserver/md5-utils.c:
	* libedataserver/md5-utils.h: Document public functions and data
	structures.
	* docs/reference/libedataserver/tmpl/e-trie.sgml:
	* docs/reference/libedataserver/tmpl/e-uid.sgml:
	* docs/reference/libedataserver/tmpl/e-url.sgml:
	* docs/reference/libedataserver/tmpl/e-util.sgml:
	* docs/reference/libedataserver/tmpl/md5-utils.sgml: New template
	files for API documentation.

2005-03-06  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, libtool numbers

2005-02-28  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, libtool numbers

2005-02-10  Kjartan Maraas  <kmaraas@gnome.org>

	* libedataserver/e-data-server-module.c: (load_module_dir):
	Don't leak the module path.

2005-02-09  Hans Petter Jansson  <hpj@novell.com>

	* libdb/dbinc/mutex.h: Fix PPC assembly.

2005-02-07  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version. libtool numbers

2005-02-07  Ross Burton  <ross@openedhand.com>

	* libedataserver/e-db3-utils.c:
	Remove useless libgnome use.

2005-02-03  Ross Burton  <ross@burtonini.com>

	* libedataserver/e-categories.c:
	* libedataserver/e-component-listener.c:
	* libedataserver/e-time-utils.c:
	* servers/groupwise/e-gw-connection.c:
	* src/server.c:
	Use glib/gi18n.h.

2005-02-03  Rodrigo Moya <rodrigo@novell.com>

	* libedataserver/e-categories.c (idle_saver_cb): changed to return a
	gboolean and always FALSE to remove the idle callback after saving.
	(save_config): new function that marks the config as dirty and installs
	the idle callback.
	(initialize_categories_config, e_categories_remove, e_categories_add,
	e_categories_set_color_for, e_categories_set_icon_file_for): call
	save_config() when saving the categories.

2005-02-01  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Generate the old imap makefile.

2005-01-28  Rodrigo Moya <rodrigo@novell.com>

	* libedataserver/e-categories.c (initialize_categories_config): pass
	a correct boolean value as the 'searchable' flag.

2005-01-26  JP Rosevear  <jpr@novell.com>

	Fixes #69909
	
	* src/server-logging.h: add private structure to instance

	* src/server-logging.c (server_logging_register_domain): track the
	information for the registration so we can later unregister it
	(server_logging_dispose): unregister the log handlers and from the
	information and list
	(server_logging_finalize): free the private structure
	(server_logging_class_init): set finalize/dispose methods

2005-01-25  Rodrigo Moya <rodrigo@novell.com>

	* libedataserver/e-categories.[ch] (e_categories_add): added a
	'searchable' argument.
	(e_categories_is_searchable): new function.
	(hash_to_xml_string): add the 'searchable' property to the config.

2005-01-24  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, libtool numbers

2005-01-21  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Removed the enable checks for IMAP4, we just
	always build it now. Also don't generate
	camel/providers/imap/Makefile as we no longer build it.

2005-01-21  Sivaiah Nallagatla <snallagatla@novell.com>

	* libedataserver/e-source.c 
	(e_source_update_from_xml_node) : look for 
	case where passed in node does not contain any properites.
	In the case reset the properites of the source
	and emit the changed signal
	makes personal books unselectable
	from auto-completion 
	
2005-01-14  Priit Laes <amd@store20.com>

	* configure.in: Added 'ar', 'cy', 'he', 'hi', 'is', 'mk', 'ml',	
	'wa' to ALL_LINGUAS.

2005-01-14  Not Zed  <NotZed@Ximian.com>

	* libedataserver/e-sexp.c: reverted rodrigo's change.  We never
	build ESexp as a GObject anymore (it is used by camel).

2005-01-12  Rodrigo Moya <rodrigo@novell.com>

	* libedataserver/e-categories.[ch] (e_categories_exist): new function.

	* libedataserver/e-sexp.[ch]: removed the usage of the
	E_SEXP_IS_G_OBJECT macro, since it was not being set anywhere.
	(e_sexp_new): fixed some typoes.
	(e_sexp_class_init): use g_type_class_peek_parent to get the
	parent class for our class.

2005-01-08  Not Zed  <NotZed@Ximian.com>

	* libedataserver/e-xml-hash-utils.c (e_xmlhash_write): cast field
	length to int.

	* libedataserver/e-url.c (e_url_shroud): setup string manually
	don't use *.%s as it depends on locale.

2005-01-10  Rodrigo Moya <rodrigo@novell.com>

	* e-categories.c (escape_string): new function.
	(hash_to_xml_string): add category names after escaping them.
	(initialize_categories_config): mark the configuration as not dirty
	only when we just got the list of categories from it.

2005-01-07  David Trowbridge <David.Trowbridge@Colorado.edu>

	* configure.in:
	* Makefile.am: added weather calendar backend to build.

2005-01-05  Rodrigo Moya <rodrigo@novell.com>

	* libedataserver/e-categories.c (initialize_categories_config): set
	the configuration to not dirty even when we add the set of built-in
	categories.

2005-01-05  Rodrigo Moya <rodrigo@novell.com>

	* libedataserver/e-categories.c (initialize_categories_config): set
	the initialized flag to TRUE before starting, or we'll get infinite
	recurrent calls to this function.

2005-01-05  Rodrigo Moya <rodrigo@novell.com>

	* libedataserver/e-categories.c (initialize_categories_config): use _()
	instead of N_() for translatable strings.

2005-01-04  Rodrigo Moya <rodrigo@novell.com>

	* libedataserver/e-categories.c (idle_saver_cb): new GSourceFunc to be
	called at idle times.
	(cleanup_at_exit): save configuration if it's dirty. Remove the idle
	callback.
	(initialize_categories_config): install the idle callback.

2005-01-04  Rodrigo Moya <rodrigo@novell.com>

	* art/Makefile.am:
	* art/category*.png: added category icons from GAL.

	* Makefile.am:
	* configure.in: added 'art' directory to build.

	* libedataserver/e-categories.[ch]: moved categories API from evolution.

	* libedataserver/Makefile.am: added new files to the build.

2004-12-31  JP Rosevear  <jpr@novell.com>

	* Makefile.am: clean iconv-detect.h

2004-12-29  David Trowbridge <trowbrds@cs.colorado.edu>

	* libedataserver/e-source.c: Add logic for emitting a "changed" signal
	if any of the properties change

2004-12-27  Rodrigo Moya <rodrigo@novell.com>

	* src/server.c (gnome_segv_handler): use the correct binary name (ie,
	include the BASE_VERSION and the full path).

2004-12-23  Sivaiah Nallagatla <snallagatla@novell.com>
                                                                                                                             
        * src/offline-listener.[ch] :New class to listen for gconf
	key and set online/offline modes on factories -> backends  
                                                                                                                             
        * src/Makefile.am : added new source file
        offline-listener.[ch] to _SOURCES

2004-12-23  Rodrigo Moya <rodrigo@novell.com>

	* Makefile.am: build servers/ dir before camel/.

2004-12-20  David Mosberger-Tang  <David.Mosberger@acm.org>

        * libedataserver/e-memory.c (STRUCT_ALIGN): Replace with G_MEM_ALIGN.
        (ALIGNED_SIZE): New macro.
        (MemPoolNode): Remove "data" member.
        (MemPoolThresholdNode): Likewise.
        (e_mempool_alloc): Use (ALIGNED_SIZEOF(*n) + N) in lieu of
        &n->data[N] to ensure proper alignment.

2004-12-21  Hans Petter Jansson  <hpj@novell.com>

	* libedatasererui/e-name-selector.[ch]: Implement ENameSelector,
	a convenience context that sets up and provides the shared model
	and widgets for one name selection session.

	* libedataserverui/Makefile.am (libedataserverui_1_2_la_SOURCES)
	(libedataserveruiinclude_HEADERS): Add ENameSelector.

2004-12-20  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, libtool numbers

2004-12-20  JP Rosevear  <jpr@novell.com>

	* libedataserverui/test-name-selector.c (main): no need to init
	mime utils explicitly any more

2004-12-20  Hans Petter Jansson  <hpj@novell.com>

	* libedataserverui/test-name-selector.c (main): Don't lie to
	gnome_program_init () about our name.

2004-12-20  Hans Petter Jansson  <hpj@novell.com>

	* libedataserverui/e-contact-store.c (clear_contact_ptrarray):
	Implement.
	(free_contact_ptrarray): Use clear_contact_ptrarray () to unref the
	contacts.
	(clear_contact_source): Keep the primary contact array around even
	when it's empty.
	(query_contact_source): Make sure the book is opened before we
	try to open a view to it. Set view to NULL if we can't get one.
	(e_contact_store_add_book): Allocate temporary memory on stack.
	(e_contact_store_remove_book): Free the primary contact array.

	* libedataserverui/e-destination-store.c
	(e_destination_store_insert_destination): Implement.
	(e_destination_store_append_destination): Renamed from
	_add_destination (). Connect to destination's "changed" signal.
	(e_destination_store_remove_destination): Disconnect from
	"changed" signal.

	* libedataserverui/e-name-selector-dialog.c (add_destination):
	Use e_destination_store_append_destination ().

	* libedataserverui/test-name-selector.c (start_test): We don't
	need the gconf_path. Set up an ENameSelectorEntry for testing.
	(main): Remove junk related to gconf_path.

	* libedataserverui/e-name-selector-entry.[ch]: Implement a completing
	entry for Evolution contacts. Still considered unstable.

	* libedataserverui/Makefile.am (libedataserverui_1_2_la_SOURCES)
	(libedataserveruiinclude_HEADERS): Add ENameSelectorEntry to build.

2004-12-17  JP Rosevear  <jpr@novell.com>

	* libedataserverui/test-name-selector.c (close_dialog): destroy
	the dialog and quit
	(start_test): listen for any response so we can exit

	* libedataserverui/e-name-selector-dialog.glade: don't make the
	blank window visible

2004-12-16  Hans Petter Jansson  <hpj@novell.com>

	* libedataserverui/libedataserverui.pc.in: Remove gladedir definition,
	it's useless and breaks the evo build.

2004-12-16  Hans Petter Jansson  <hpj@novell.com>

	* libedataserverui/test-name-selector.c: Implement a test for
	ENameSelectorDialog.

	* libedataserverui/Makefile.am (noinst_PROGRAMS): Build the test.
	(test_name_selector_SOURCES)
	(test_name_selector_LDADD): Build parameters for the test.

2004-12-16  Hans Petter Jansson  <hpj@novell.com>

	* libedataserver/e-data-server-marshal.list: Add NONE:STRING.

	* libedataserverui/e-destination-store.[ch]: Implement
	EDestinationStore, a GtkTreeModel interface to a list of
	EDestinations.

	* libedataserverui/e-name-selector-model.[ch]: Implement
	ENameSelectorModel, a model that provides an EContactStore and a
	list of EDestinationStores whose members are filtered out from
	the EContactStore.

	* libedataserverui/e-name-selector-dialog.[ch]: Implement
	ENameSelectorDialog, a GtkDialog that lets you select EContacts
	interactively, producing lists of EDestinations.

	* libedataserverui/e-name-selector-dialog.glade: The Glade XML
	specification for the ENameSelectorDialog interface.

	* libedataserverui/e-contact-store.c (e_contact_store_get_contact):
	Implement.
	(e_contact_store_get_books): Free a small temp allocation.
	(e_contact_store_remove_book): Get the pointer to the source struct.

	* libedataserverui/libedataserverui.pc.in (gladedir): Set this var.

	* Makefile.am (INCLUDES): Add a define providing the installed
	Glade directory.
	(libedataserverui_1_2_la_SOURCES): Add new files.
	(libedataserveruiinclude_HEADERS): Add new files.
	(glade_DATA): Add new Glade file.
	(EXTRA_DIST): Dist glade_DATA.

2004-12-16  Hans Petter Jansson  <hpj@novell.com>

	* configure.in: Pull in libglade-2.0.

2004-12-09  Hans Petter Jansson  <hpj@novell.com>

	* libedataserverui/e-contact-store.[ch]: Implement EContactStore,
	a GtkTreeModel interface to EBook views.

	* libedataserverui/test-contact-store.c: Implement an interactive
	test for EContactStore.

	* libedataserverui/Makefile.am (libedataserveruiinclude_HEADERS)
	(libedataserverui_1_2_la_SOURCES): Build e-contact-store.c and install
	e-contact-store.h.
	(test_contact_store_SOURCES)
	(test_contact_store_LDADD): Build the interactive test for
	EContactStore.

2004-12-09  JP Rosevear  <jpr@novell.com>

	* configure.in: check for zlib, for the gzip mime filter

2004-12-07  Rodrigo Moya <rodrigo@novell.com>

	Fixes #70267

	* libedataserver/e-file-cache.[ch] (e_file_cache_freeze_changes,
	e_file_cache_thaw_changes): new functions to disable temporarily
	writes to disk.
	(e_file_cache_init): initialize new private members.
	(e_file_cache_add_object, e_file_cache_remove_object): mark the
	cache file as dirty when we are frozen.

2004-12-06  Rodney Dawes  <dobey@novell.com>

	* Makefile.am (EXTRA_DIST): Add iconv-detect.c

2004-12-06  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in (E_DATA_SERVER_DEPS): Fixed to include $mozilla_nspr

	* libedataserver/Makefile.am: Don't need to have NSS_CFLAGS or
	NSS_LIBS here - they are included in E_DATA_SERVER_[CFLAGS,LIBS]

2004-12-03  Rodney Dawes  <dobey@novell.com>

	* configure.in: Remove the commented out OpenSSL block
	Don't do pkg-config --exists for mozilla, just try to use the
	PKG_CONFIG() macro, and set have_nss="no" if it fails

	* libedataserver/Makefile.am: Add NSS_CFLAGS and NSS_LIBS for the
	e-msgport code that needs it

2004-12-03  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Display configuration info after configure runs
	(S/MIME, SSL, Kerberos, etc)

2004-12-03  Not Zed  <NotZed@Ximian.com>

	* libedataserver/Makefile.am (libedataserver_1_2_la_LIBADD): add
	iconv_libs to the library list.

2004-12-01  Hans Petter Jansson  <hpj@novell.com>

	* Makefile.am: Build libedataserverui after non-UI libraries that it
	may depend on.

2004-11-28  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, libtool numbers

2004-11-25  Harish Krishnaswamy  <kharish@novell.com>

	* libedataserverui/e-source-selector.[ch]:
	(selector_button_press_event): if rt-clicked on a source 
	group, set it as primary on the selector and emit a popup event.
	(e_source_selector_get_primary_source_group): accessor for 
	primary source group.

2004-11-16  Not Zed  <NotZed@Ximian.com>

	* Makefile.am (DIST_SUBDIRS, SUBDIRS): Added camel.

	* configure.in: Added more camel required config checks.  Build
	the camel makefiles.  Not sure if this should be in its own
	configure.in.

2004-11-15  Not Zed  <NotZed@Ximian.com>

	* libedataserver/e-util.c: include config.h.

	* libedataserver/e-sexp.c: updated from evolution/e-util.

	* libedataserver/e-memory.c: updated from evolution/e-util.

	* iconv-detect.c: added iconv format checker.

	* configure.in: add stftime checks and iconv charset format checks.

	* libedataserver/e-util.c (e_strftime): copied from gal/e-util.h.

	* libedataserver/e-time-utils.c (parse_with_strptime): reove
	e-utf8 depenedncy.

	* libedataserver/e-iconv.[ch]: Moved from gal/util.

	* libedataserver/e-trie.[ch]: Moved from evolution/e-util.
	* libedataserver/e-msgport.[ch]: Moved from evolution/e-util.
	* libedataserver/e-time-utils.[ch]: Moved from evolution/e-util.

2004-11-05  Rodrigo Moya <rodrigo@novell.com>

	* configure.in: use evolution-data-server-$BASE_VERSION as the
	GETTEXT_PACKAGE.

2004-11-03  Ryan Skadberg  <skadz@stigmata.org>

	Fixes #69056
	
	* configure.in: Fix GETTEXT_PACKAGE to be 1.2 to match EDS version.

2004-11-02  JP Rosevear  <jpr@novell.com>

	Fixes #68737
	
	* configure.in: require libbonobo >= 2.4.2

2004-11-01  Hans Petter Jansson  <hpj@novell.com>

	* libdb/dbinc/mutex.h: Remove duplicated x86-64 mutex definition.

2004-10-27  JP Rosevear  <jpr@novell.com>

	* src/server.c: include just include signal.h for portability

2004-10-21  Rodrigo Moya <rodrigo@novell.com>

	* libedataserverui/Makefile.am:
	* libedataserverui/e-source-selector-dialog.[ch]: added source
	selector dialog widget.

	* libedataserverui/e-source-selector.h: added G_BEGIN/END_DECLS.

2004-10-14  JP Rosevear  <jpr@novell.com>

	* libedataserverui/e-source-selector.c: G_DEFINE_TYPE cleanups for
	parent class

	* libedataserverui/e-source-option-menu.c: ditto
	
2004-10-14  JP Rosevear  <jpr@novell.com>
	
	* libedataserverui/libedataserverui.pc.in: link to the right lib
	and require libedataserver 1.2

2004-10-13  JP Rosevear  <jpr@novell.com>

	* libedataserver/e-data-server-marshal.list: add missing
	marshaller list

2004-10-13  JP Rosevear  <jpr@novell.com>
	
	* Makefile.am: build libedataserverui

2004-10-13  JP Rosevear  <jpr@novell.com>
	
	* libedataserverui/test-source-option-menu.c: move from evolution
	
	* libedataserverui/e-source-selector.c: ditto

	* libedataserverui/e-source-selector.h: ditto

	* libedataserverui/e-source-option-menu.c: ditto

	* libedataserverui/e-source-option-menu.h: ditto

	* libedataserverui/test-source-selector.c: ditto

	* libedataserverui/libedataserverui.pc.in: add a pkg-config file

	* libedataserverui/Makefile.am: build libedataserverui and test progs

	* configure.in: add libtool versioning for libedataserverui and
	output the files

2004-10-11  Hans Petter Jansson  <hpj@ximian.com>

	Probably fixes bugs #67600 and #65996.

	* libdb/dbinc/mutex.h
	* libdb/dist/config.hin
	* libdb/dist/configure
	* libdb/mutex/mut_tas.c
	* libdb/lock/lock_region.c
	* libdb/dist/aclocal/mutex.ac
	* libdb/dist/aclocal/libtool.ac: Commit mutex portability changes for
	x86-64 and a couple of other archs, and rebuild the generated
	configure files.

2004-10-04  Chris Toshok  <toshok@ximian.com>

	* libedataserver/e-data-server-module.h: add the prototype for the
	eds_module_* functions here, so modules can include this file
	instead of writing their own prototypes in module sepcific
	headers.

2004-09-30  Chris Toshok  <toshok@ximian.com>

	* evolution-data-server.pc.in (extensiondir,privlibdir): add these
	variables so extension authors can find the place to install their
	stuff.

2004-09-30  Chris Toshok  <toshok@ximian.com>

	* src/GNOME_Evolution_DataServer.server.in.in: add this
	(previously generated) file to the build.

	* src/GNOME_Evolution_DataServerLDAP.server.in.in,
	src/GNOME_Evolution_DataServerNOLDAP.server.in.in: nuke these
	files.
	
	* src/Makefile.am (evolution_data_server_LDADD): remove all the
	addressbook/calendar backend .la's from here.
	(SERVER_IN_FILE): always use
	GNOME_Evolution_DataServer.server.in.in here, and it's no longer
	generated from LDAP/NOLDAP.
	(EXTRA_DIST): remove
	GNOME_Evolution_DataServer{LDAP,NOLDAP}.server.in.in
	(CLEANFILES): remove GNOME_Evolution_DataServer.server.in.in.
	
	* src/server.c (setup_books): replace hardcoded knowledge of
	backends with a call to e_data_book_factory_register_backends.
	(setup_cals): remove explicit backend registration with a call to
	e_data_cal_factory_register_backends.
	(main): call e_data_server_module_init.

	* libedataserver/Makefile.am (INCLUDES): add extensiondir #define.
	(libedataserver_la_SOURCES): add e-data-server-module.c
	(libedataserverinclude_HEADERS): add e-data-server-module.h

	* libedataserver/e-data-server-module.[ch]: new files, manage the
	extensions.  ripped almost entirely from Dave Camp's nautilus
	module stuff.

	* configure.in (privlibdir, extensiondir): new Makefile variables.

2004-09-23  Not Zed  <NotZed@Ximian.com>

	** See bug #66209

	* libedataserver/e-source-list.c (sync_idle_callback): clear the
	idle id after we've been called.

2004-09-23  JP Rosevear  <jpr@novell.com>

	* Makefile.am: don't hard code pkg config version

	* configure.in: bump version, reset libtool versions because the
	library is now versioned

	* libedataserver/Makefile.am: build versioned lib and version
	pkgconfig stuff

	* src/Makefile.am: link against versioned libs

2004-09-22  Harish Krishnaswamy  <kharish@novell.com>

	* libedataserver/e-file-cache.[ch]: 
	(e_file_cache_get_keys): utility function that allows to get 
	 a list of the keys of all the items in the cache. Used by 
	 the fix for bug #61865	

2004-09-21  Hans Petter Jansson  <hpj@ximian.com>

	* libdb/dbinc/mutex.h
	* libdb/dist/configure
	* libdb/dist/aclocal/mutex.ac
	* libdb/dist/aclocal/options.ac:
	Applied patch from Toshok that fixes issues related to NPTL and AMD
	processors.

2004-09-16  JP Rosevear  <jpr@novell.com>

	* configure.in: update version to 1.1.0 and BASE_VERSION to 1.2

2004-09-14  Roozbeh Pournader  <roozbeh@farsiweb.info>

	* configure.in: Added 'fa' (Persian) to ALL_LINGUAG.

2004-09-14  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* servers/groupwise/Makefile.am: automake fix for paralel build ("make -j<N>").

2004-09-10  Mohammad DAMT  <mdamt@bisnisweb.com>

	* configure.in: Added 'id' to ALL_LINGUAS
	* po/id.po: Added Indonesian translation

2004-08-27  Akagic Amila <bono@linux.org.ba>

	* configure.in: Added 'bs' to ALL_LINGUAS.

2004-08-26  JP Rosevear  <jpr@novell.com>

	* configure.in: bump verision, libtool numbers

2004-08-26  Not Zed  <NotZed@Ximian.com>

	** See bug #63051.

	* libedataserver/e-util.c (e_util_utf8_strstrcase) 
	(e_util_utf8_strstrcasedecomp): 

	* libedataserver/e-sexp.c (e_sexp_term_eval):
	* libedataserver/e-memory.c (e_memchunk_clean): use g_alloca for
	stupid arcanely out of date and posixly-busted slowaris which
	doesn't put alloca in stdlib.h like any sane system.

2004-08-25  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* libedataserver/e-file-cache.c: (add_key_to_list),
	(add_object_to_list):
	Add missing include, fix warnings.

	* libedataserver/e-util.c: add missing include.

	* servers/groupwise/e-gw-connection.c:
	(e_gw_connection_get_categories):
	Fix type, causing warnings.

2004-08-23  Sivaiah Nallagatla <snallagatla@novell.com>

	* libedataserver/e-file-cache.c (e_file_cache_set_property) :
	assing the value set for filename property to priv->filename 
 
2004-08-21  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added «nb» to ALL_LINGUAS.

2004-08-13  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, libtool numbers, soup requirement

2004-08-13  Rodney Dawes  <dobey@novell.com>

	* acinclude.m4: Revert previous EVO_LDAP_CHECK changes, aren't working
	as well as expceted and determined in testing

2004-08-13  Rodney Dawes  <dobey@novell.com>

	* acinclude.m4: Remove EVO_CHECK_LIB
	Update EVO_LDAP_CHECK to support --with-openldap-{libs,includes}

2004-08-09  Ankit Patel <ankit@redhat.com>

	* configure.in: Added Gujarati & Panjabi

2004-08-06  Sayamindu Dasgupta <sayamindu@gnome.org>

	* configure.in: Added bn (Bengali) to ALL_LINGUAS.

2004-08-02  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, libtool numbers

2004-08-02  Not Zed  <NotZed@Ximian.com>

	* src/server.c (gnome_segv_handler): deadlock in non-main threads
	so we only run once, and increment our recursive-call code
	properly, and actually exit anyway.  should fix infinite crash
	loop crap.

2004-07-29  Rodney Dawes  <dobey@novell.com>

	* configure.in: Check for libgnomeui_serverdir with pkgconfig, and
	AC_DEFINE it so we know where to find gnome_segv2

	* src/server.c (gnome_segv_handler): Use GNOMEUI_SERVERDIR that we
	now define at configure time to find the path to gnome_segv2

	Fixes #62021

2004-07-19  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, libtool numbers, soup requirement

2004-07-16  Sivaiah Nallagatla <snallagatla@novell.com>

	* libedataserver/e-source-group.c (e_source_group_remove_source)
	(e_source_group_remove_source) : disconnet the signal 
	handler registered on source object for CHANGED singal
	as we may not be interested in the changes in source once
	it is removed form the group

2004-07-12  Chris Toshok  <toshok@ximian.com>

	[ most likely fixes #57999 ]
	
	* libdb/dist/aclocal/options.ac: set the default unique name to
	"_eds".  this will append _eds to all externally visible libdb
	symbols, so we can be sure it won't conflict with another libdb
	(linked dynamically).

	* libdb/dist/configure: regen after options.ac change.

	* libdb/dist/.cvsignore: ignore db_int_def.h

2004-07-07  Rodrigo Moya <rodrigo@novell.com>

	* libedataserver/e-source.[ch] (e_source_build_absolute_uri): made
	this function public.

2004-07-07  Not Zed  <NotZed@Ximian.com>

	* src/server.c (main): bind to the right charset (i.e. utf8).  See
	#58976.

2004-07-02  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, libtool numbers

2004-07-02  Chris Toshok  <toshok@ximian.com>

	[ fixes #60691 ]
	
	* libedataserver/e-iterator.h: rename the "delete" member to
	"remove", to fix c++ build.

	* libedataserver/e-iterator.c (e_iterator_delete): same.
	(e_iterator_class_init): same.

	* libedataserver/e-list-iterator.c (e_list_iterator_class_init): same.
	(e_list_iterator_remove): same.

2004-06-23  Jeffrey Stedfast  <fejj@novell.com>

	* src/server.c (main): Register a segv handler to popup bug-buddy
	or whatever. Fixes bug #51165.

2004-06-14  Not Zed  <NotZed@Ximian.com>

	* libedataserver/e-source-group.c
	(e_source_group_new_from_xmldoc): abort and fail if we get an xml
	error setting up the new_source entries.  #59592.

2004-06-03  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, libtool numbers

2004-06-02  Chris Toshok  <toshok@ximian.com>

	* configure.in: bump to 0.0.93.1 so we can rev evo's dep.

2004-06-01  Chris Toshok  <toshok@ximian.com>

	* libedataserver/e-source.c (e_source_set_absolute_uri): permit
	NULL absolute_uri, so we can clear it.

2004-06-01  Chris Toshok  <toshok@ximian.com>

	* libedataserver/e-source.c (e_source_set_group): back out the
	change that causes this function to always add an absolute_uri to
	the ESource, as this uri is always used instead of the
	relative_uri in e_source_get_uri, which is NOT what we want in 99%
	of the cases.  If you want an absolute uri, call
	e_source_set_absolute_uri - it should never happen implicitly.
	(e_source_copy): when copying an ESource don't create an absolute
	uri when @source might have had one.
	(e_source_set_absolute_uri): use strcmp, not ==.  also,
	"source->priv->readonly" governs whether or not data can be stored
	in the folder represented by the ESource, not that the ESource
	itself is readonly.

2004-05-27  Rodrigo Moya <rodrigo@novell.com>

	* libedataserver/e-file-cache.[ch] (e_file_cache_clean): new function.

2004-05-27  Sushma Rai <rsushma@novell.com>

	* libedataserver/e-source.[ch] (e_source_new_with_absolute_uri)
	(e_source_set_absolute_uri)(e_source_peek_absolute_uri):
	Added new.

	* libedataserver/e-source.c: (e_source_set_group)(e_source_get_uri):
	Build absolute URI only if source is not having it.

	* libedataserver/e-source.c: (dump_common_to_xml_node): Writing
	absolute URI to the file.

2004-05-26  Rodney Dawes  <dobey@novell.com>

	* configure.in: Make the ORBit >= 2.9.8 requirement more obvious to
	work around a problem with the AM_PATH_ORBIT2() m4 function not failing
	properly when < 2.9.8 is found

	* libedataserver/libedataserver-1.0.pc.in (Requires): Add the ORBit
	requirement here, so that dependents pick it up properly as well
	
2004-05-19  JP Rosevear  <jpr@novell.com>

	* configure.in: bump version, libtool numbers

2004-05-17  Rodney Dawes  <dobey@ximian.com>

	* libedataserver/Makefile.am (libedataserver_la_LIBADD):
	Add $(E_DATA_SERVER_LIBS) to link all the right dependencies for the
	mono bindings to work correctly

	Fixes #58615

2004-05-04  Edward Rudd <urkle@outoforder.cc>
	
	* addressbook/backend/ldap/e-book-backend-ldap.c: Added new complex
	handlers for postal address fields. Bug # 45210

2004-05-03  JP Rosevear  <jpr@ximian.com>

	* libedataserver/e-memory.h: include glib.h for G_BEGIN_DECLS

	* libedataserver/e-uid.h: ditto
	
	* libedataserver/e-memory.c: remove unnecessary include

	* libedataserver/e-uid.c: ditto
	
	* libedataserver/e-list-iterator.h: order G_BEGIN_DECLS after the
	glib include

2004-05-03  William Jon McCann  <mccann@jhu.edu>

	* libedataserver/e-account-list.h: 
	* libedataserver/e-account.h:
	* libedataserver/e-db3-utils.h:
	* libedataserver/e-dbhash.h:
	* libedataserver/e-iterator.h:
	* libedataserver/e-list-iterator.h:
	* libedataserver/e-list.h:
	* libedataserver/e-memory.h:
	* libedataserver/e-sexp.h:
	* libedataserver/e-source-group.h:
	* libedataserver/e-source-list.h:
	* libedataserver/e-source.h:
	* libedataserver/e-uid.h:
	* libedataserver/e-url.h:
	* libedataserver/e-util.h:
	* libedataserver/e-xml-hash-utils.h:
	* libedataserver/md5-utils.h: Add missing G_BEGIN_DECLS and G_END_DECLS

2004-04-27  Jeffrey Stedfast  <fejj@ximian.com>

	* libedataserver/e-dbhash.c (e_dbhash_foreach_key): Revert
	yesterday's changes. The data is useless for what I needed it for
	(which was for migrating pilot-sync changelog files). md5sums are
	...not what I wanted.

2004-04-26  Jeffrey Stedfast  <fejj@ximian.com>

	* libedataserver/e-dbhash.c (e_dbhash_foreach_key): Call func with
	3 arguments (key, data, user_data).

2004-04-26  Adam Weinberger  <adamw@gnome.org>

	* configure.in: Added en_CA to ALL_LINGUAS.

2004-04-22  Jeffrey Stedfast  <fejj@ximian.com>

	* libedataserver/e-xml-hash-utils.c (e_xml_to_hash): Make sure
	that 'key' always points to a malloc'd block of memory that we can
	free.
	(foreach_save_func): Use xmlEncodeEntitiesReentrant() rather than
	xmlEncodeSpecialChars() since that latter doesn't encode 8bit
	chars and the like.
	(e_xmlhash_write): Save the doc to a tmp file first, only if
	saving is successful rename() the file over the original.

2004-04-21  Chris Toshok  <toshok@ximian.com>

	* configure.in: bump version to 0.0.92.1.

2004-04-21  Tomasz KÅ?oczko <kloczek@pld.org.pl>

	* acinclude.m4: minor fixes (added missing [] quotation).

2004-04-19  JP Rosevear  <jpr@ximian.com>

	* configure.in: bump version, libtool numbers

2004-04-13  Sivaiah Nallagatla <snallagatla@novell.com>

	* configure.in: added LIBEGROUPWISE_* variables and corresponding
	AC_SUBST for assinging libegroupwise version number. Defined a
	varible LIBSOUP_REQUIRED.  added
	servers/groupwise/libegroupwise-1.0.pc for AC_OUTPUT section

	* servers/groupwise/Makefile.am: added
	libegroupwiseinclude_HEADERS, libegroupwise_la_LDFLAGS etc to make
	groupwise apis installable

	* servers/groupwise/libegroupwise-1.0.pc.in: new pc.in file
	libegroupwise

2004-04-02  JP Rosevear  <jpr@ximian.com>

	* configure.in: bump version, libtool numbers

2004-03-25  William Jon McCann  <mccann@jhu.edu>

	* src/server.c (setup_cals): add registration of webcal protocol
	for tasks.

2004-03-19  Rodrigo Moya <rodrigo@ximian.com>

	* src/Makefile.am: added $SOUP_CFLAGS, needed for
	e-cal-backend-groupwise.h.

2004-03-18  Rodrigo Moya <rodrigo@ximian.com>

	* libedataserver/e-xml-hash-utils.c (e_xml_from_hash): set encoding
	on XML document.

	* libedataserver/e-file-cache.c (e_file_cache_set_property): if we fail
	opening the cache file, just create it empty, don't fail.

2004-03-17  Rodrigo Moya <rodrigo@ximian.com>

	* configure.in: yank --enable-debug option, not needed anymore.

2004-03-15  Rodney Dawes  <dobey@ximian.com>

	* configure.in: Add LIBBONOBO_REQUIRED, and AC_SUBST() it
	* evolution-data-server-1.0.pc.in:
	* libedataserver/libedataserver-1.0.pc.in: Add @LIBBONOBO_REQUIRED@ for
	the libbonobo dependency

2004-03-05  JP Rosevear <jpr@ximian.com>

	* configure.in: bump version, libtool numbers and soup requirement

2004-02-26  JP Rosevear <jpr@ximian.com>

	* Makefile.am: dist the libdb stuff properly

2004-02-26 Harish K <kharish@novell.com>

	* servers/groupwise/e-gw-connection.c : the latest GW server
	requires getFolderListRequest instead of the getContainerListRequest
	message to get the ids of folders.

2004-02-24  Chris Toshok  <toshok@ximian.com>

	* libedataserver/e-source-group.c
	(e_source_group_new_from_xmldoc): don't leak uid.

2004-02-23  JP Rosevear <jpr@ximian.com>

	* Makefile.am: make sure to distclean libdb

	* autogen.sh: require automake 1.6
	
	* marshal.mk: make sure we use the srcdir as the location of the
	list file

	* libdb/dist/Makefile.in: add installcheck target that does
	nothing, don't remove tags

	* src/Makefile.am: add extra libical includes for srcdir !=
	builddir
	
2004-02-20 Sivaiah Nallagatla <snallagatla@novell.com>
                                                                                                                             
        * configure.in : added addressbook/backends/groupwise/Makefile to AC_OUTPUT section
        * src/Makefile.am : added libebookbackendgroupwise.la to LDADD
        * src/server.c (setup_books) : register groupwise address book backend
	* src/GNOME_Evolution_DataServerNOLDAP.server.in.in
	* src/GNOME_Evolution_DataServerLDAP.server.in.in : added groupwise to supported
	address book protocols
	
2004-02-13  Chris Toshok  <toshok@ximian.com>

	* libedataserver/Makefile.am (libedataserver_la_LIBADD): use
	libdb-4.1.la instead of libdb.a.

	* libdb/dist/configure.ac: remove all the static/shared logic and
	force libtool to be used.  also, remove -rpath from the SOFLAGS.
	without -rpath and -static libtool builds the equivalent of a
	noinst_ automake library.

	* libdb/dist/configure: regen configure from configure.ac.

2004-02-12  Chris Toshok  <toshok@ximian.com>

	* configure.in (AM_PATH_ORBIT2): up our requirement to 2.9.8.

2004-02-09  Michael Meeks  <michael@ximian.com>

	* libedataserver/e-list-iterator.c (e_list_iterator_new),
	* libedataserver/e-list.c (e_list_get_iterator):
	add preconditions for NULL list.

2004-02-09  JP Rosevear  <jpr@ximian.com>

	* configure.in: Bump version, libtool numbers


2004-02-08  Robert Sedak  <robert.sedak@sk.htnet.hr>
 
         * configure.in: Added "hr" (Croatian) to ALL_LINGUAS.

2004-02-06  Rodrigo Moya <rodrigo@ximian.com>

	* configure.in:
	* Makefile.am:
	* servers/Makefile.am: added servers/ dir to build.

2004-02-03  Chris Toshok  <toshok@ximian.com>

	* libedataserver/libedataserver-1.0.pc.in (Requires): add
	libxml-2.0 as the e-source* stuff needs it.

2004-01-30  Rodrigo Moya <rodrigo@ximian.com>

	* configure.in: require libsoup >= 2.1.6.

2004-01-26  JP Rosevear  <jpr@ximian.com>

	* configure.in: Bump libtool versions, version, soup requirement

2004-01-25  Sanlig Badral  <badral@openmn.org>

	* configure.in: Added "mn" to ALL_LINGUAS.

2004-01-24  Rodrigo Moya <rodrigo@ximian.com>

	* configure.in: s/GROUPWISE/SOUP.

2004-01-22  Thomas Cataldo  <tcataldo@users.sourceforge.net>

	* libedataserver/e-xml-hash-utils.c: (e_xml_to_hash):
	Fix leak.

2004-01-21  Rodrigo Moya <rodrigo@ximian.com>

	* libedataserver/e-file-cache.[ch] (e_file_cache_remove): new function
	to remove the file cache from disk.

2004-01-21  JP Rosevear <jpr@ximian.com>

	* configure.in: include calendar test stuff in AC_OUTPUT

2004-01-21  Rodrigo Moya <rodrigo@ximian.com>

	Fixes nasty crash in e-d-s

	* libedataserver/e-xml-hash-utils.[ch]: EXmlHashFunc gets 3 arguments.
	(foreach_hash_func): pass the value also to the XML hash function.

	* libedataserver/e-file-cache.c (add_object_to_list): use the correct
	argument types.

2004-01-15  JP Rosevear <jpr@ximian.com>

	* libedataserver/e-source-list.c (e_source_list_peek_source_any):
	make sure we don't derefence a NULL pointer

2004-01-15  Mark McLoughlin  <mark@skynet.ie>

	* libedataserver/e-source-list.c: (load_from_gconf):
	Fix leak.
	
	* libedataserver/e-source.c: (dump_common_to_xml_node):
	Don't output properties tag if there are no properties.

2004-01-14  Rodrigo Moya <rodrigo@ximian.com>

	* libedataserver/e-file-cache.c (add_object_to_list): use the GList **
	correctly when calling g_slist_prepend.

2004-01-13  Laurent Dhima  <laurenti@alblinux.net>

	* configure.in: Added "sq" to ALL_LINGUAS.

2004-01-12  JP Rosevear  <jpr@ximian.com>

	* configure.in: bump version, libtool numbers

2004-01-12  Rodrigo Moya <rodrigo@ximian.com>

	* src/server-logging.c (server_log_handler): avoid CORBA allocations
	by using the CORBA_any directly. Free the CORBA exception.

2004-01-10  Rodrigo Moya <rodrigo@ximian.com>

	* libedataserver/e-file-cache.c (e_file_cache_set_property): fixed
	memory leak.

2004-01-09  ERDI Gergo  <cactus@cactus.rulez.org>

	* libedataserver/e-source-group.h: added new read-only flag

	* src/contactdates-server.c: new factory for ContactDates backend

	* configure.in: Added new ContactDates calendar backend

2004-01-09  Rodrigo Moya <rodrigo@ximian.com>

	* libedataserver/e-source-list.[ch]
	(e_source_list_peek_group_by_name): new function.

2004-01-08  JP Rosevear <jpr@ximian.com>

	* libedataserver/e-source-list.c (e_source_list_sync): don't
	remove the gconf listener

2004-01-07  JP Rosevear <jpr@ximian.com>

	* libedataserver/Makefile.am: remove DISABLE_DEPRECATED flags

2004-01-05  Christian Neumair  <chris@gnome-de.org>

	* addressbook/libebook/e-book.c: Generalize some more strings.

2004-01-05  Christian Neumair  <chris@gnome-de.org>

	* calendar/libedata-cal/e-cal-backend-sexp.c: Generalize some strings.

2004-01-05  Rodrigo Moya <rodrigo@ximian.com>

	* libedataserver/e-file-cache.[ch] (e_file_cache_get_objects): new
	function to get all objects in the cache.

2003-12-29  JP Rosevear <jpr@ximian.com>

	* configure.in: bump libsoup requirement, version, libtool numbers

2003-12-23  Ross Burton  <ross@burtonini.com>

	* docs/reference/addressbook/libebook/tmpl/*:
	* docs/reference/addressbook/libebook/libebook-docs.sgml:
	* docs/reference/addressbook/libebook/libebook-sections.txt
	* docs/reference/addressbook/libebook/libebook.types:
	Updated API documentation.

2003-12-21  JP Rosevear <jpr@ximian.com>

	* libedataserver/e-source-list.c (e_source_list_peek_source_any):
	find a source if there is one

	* libedataserver/e-source-list.h: add proto

2003-12-18  Rodrigo Moya <rodrigo@ximian.com>

	* src/server.c (setup_logging, setup_interface_check): get the
	BonoboObject's we create here out of the function.
	(main): re-organize extra interfaces initialization code, and
	make sure we unref all objects we have created.

2003-12-17  Hans Petter Jansson  <hpj@ximian.com>

	* libedataserver/e-source.c (build_absolute_uri): Implement based on
	factored-out code.
	(e_source_set_group): Generate and keep an absolute URI so we can
	work stand-alone if the group goes away.
	(e_source_get_uri): Use build_absolute_uri ().

2003-12-16  Hans Petter Jansson  <hpj@ximian.com>

	* libedataserver/e-source.c (e_source_equal): Implement. Compares
	two sources based on UID and full URI.

2003-12-12  Rodrigo Moya <rodrigo@ximian.com>

	* configure.in: added --enable-debug argument.

2003-12-10  Chris Toshok  <toshok@ximian.com>

	* Makefile.am (ACLOCAL_AMFLAGS): remove

2003-12-08  Rodrigo Moya <rodrigo@ximian.com>

	* libedataserver/e-file-cache.[ch]: renamed from e-cache.[ch]
	to avoid conflicts with GAL's ECache class, which might get
	registered before.

	* libedataserver/Makefile.am: added new files.

2003-12-08  Rodrigo Moya <rodrigo@ximian.com>
	
	* libedataserver/e-util.[ch] (e_util_mkdir_hier): added this
	function from GAL, needed for the cache objects.

	* libedataserver/e-cache.c (e_cache_set_property): make sure the
	directory for the cache file exists by calling e_util_mkdir_hier.

2003-12-08  Rodrigo Moya <rodrigo@ximian.com>

	* src/GNOME_Evolution_DataServerNOLDAP.server.in.in:
	* src/GNOME_Evolution_DataServerLDAP.server.in.in: added "groupwise" to
	the "calendar:supported_protocols" property.

2003-12-07  JP Rosevear  <jpr@ximian.com>

	* src/GNOME_Evolution_DataServerLDAP.server.in.in: update the repo
	and oaf iids

	* src/server.c: set correct default oaf id's

	* configure.in: Bump version	

2003-12-07  JP Rosevear  <jpr@ximian.com>
	
	* src/GNOME_Evolution_DataServerNOLDAP.server.in.in: version our
	repo_ids

	* src/GNOME_Evolution_DataServerLDAP.server.in.in: ditto
	
2003-12-07  Chris Toshok  <toshok@ximian.com>

	* libdb/dist/Makefile.in: make install depend on all.

2003-12-07  JP Rosevear  <jpr@ximian.com>

	* configure.in: bump version and libsoup requirement

2003-12-04  JP Rosevear <jpr@ximian.com>

	* libedataserver/e-source-list.c
	(e_source_list_new_for_gconf_default): uses the default gconf
	client for getting the source list

	* libedataserver/e-source-list.h: add proto
	
2003-12-01  Rodrigo Moya <rodrigo@ximian.com>

	* libedataserver/e-cache.[ch]: new class for a cache implementation,
	to be shared between calendar and addressbook backends.

	* libedataserver/Makefile.am: added new files.

2003-12-01  Hans Petter Jansson  <hpj@ximian.com>

	* libedataserver/e-source.c (e_source_to_standalone_xml): Allow
	creating XML from already standalone source.
	(e_source_copy): Return the new source, not the one passed in. Duh.

2003-12-01  Hans Petter Jansson  <hpj@ximian.com>

	* libedataserver/e-source.c (e_source_set_property): Emit changed
	signal.
	(copy_property): Implement.
	(e_source_copy): Implement. Creates a standalone copy of a source.

2003-11-29  Chris Toshok  <toshok@ximian.com>

	* src/GNOME_Evolution_DataServerLDAP.server.in.in: add
	DataServer_Logging oaf_server.

	* src/GNOME_Evolution_DataServerNOLDAP.server.in.in: same.

	* src/Evolution-DataServer.idl: add a Logging interface.  the
	events emitted are of type LogEvent.

	* src/Makefile.am (evolution_data_server_SOURCES): add
	server-logging.[ch]

	* src/server.c (termination_handler): use g_message, not a printf.
	(setup_logging): new function, register the log domains that'll
	generate bonobo events.
	(main): initialize the DataServer::Logging interface.

	* src/server-logging.[ch]: a glib log handler that emits log
	events via a BonoboEventSource.
	
2003-11-27  Hans Petter Jansson  <hpj@ximian.com>

	* libedataserver/e-source.c (impl_finalize): Destroy properties table.
	(init): Create properties table.
	(import_properties): Implement. Imports properties from XML tree to
	table.
	(e_source_update_from_xml_node): Import properties to table.
	(property_dump_cb): Implement. Dumps a property to XML tree.
	(dump_common_to_xml_node): Dump properties to XML tree.
	(e_source_get_property): Implement.
	(e_source_set_property): Implement.
	(e_source_foreach_property): Implement.

	* libedataserver/test-source-list.c (dump_property): Implement.
	(dump_source): Dump properties.
	(on_idle_do_stuff): Add --property, --set-value, --unset-value args.

2003-11-26  Hans Petter Jansson  <hpj@ximian.com>

	* libedataserver/e-source.c (impl_finalize): Support absolute URI.
	(e_source_update_from_xml_node): Ditto.
	(e_source_get_uri): Ditto.
	(dump_common_to_xml_node): Implement for parameters common to
	dependent and standalone ESources.
	(e_source_dump_to_xml_node): Use dump_common_to_xml_node ().
	(e_source_to_standalone_xml): Implement.
	(e_source_new_from_standalone_xml): Implement.

2003-11-26  Rodney Dawes  <dobey@ximian.com>

	* Makefile.am: remove \ on last line of LIBDB_FILES

2003-11-26  JP Rosevear  <jpr@ximian.com>

	* tags: add a dummy file for disting

2003-11-25  Chris Toshok  <toshok@ximian.com>

	* libdb/dist/configure.ac: switch the order of AC_DISABLE_SHARED
	and AC_PROG_LIBTOOL.

	* libdb/dist/configure: same.
	
	* libedataserver/Makefile.am (libedataserver_la_LIBADD): switch to
	dist/libdb.a

2003-11-25  Chris Toshok  <toshok@ximian.com>

	* libdb/dist/configure.ac: AC_DISABLE_SHARED.
	
	* libdb/dist/configure: same.
	
	* libedataserver/e-db3-utils.c: remove the db3 version checks.

	* libedataserver/e-dbhash.c: same.
	(e_dbhash_new): pass NULL for txn.

2003-11-25  Chris Toshok  <toshok@ximian.com>

	* libedataserver/Makefile.am (INCLUDES): use the embedded db4.
	(libedataserver_la_LIBADD): explicitly list the db4 .a since I
	suck at getting libtool to do what I want.

	* libdb/dist/Makefile.in (install-strip install): don't do
	anything here.

	* Makefile.am (SUBDIRS): add libdb
	(DIST_SUBDIRS): new variable, list everything in SUBDIRS except
	libdb.
	(LIBDB_FILES): list all the db4 files.
	(EXTRA_DIST): add the db4 files explicitly to this.

	* configure.in: remove all the db3 stuff, and build the embedded
	db4.

2003-11-25 Aaron Weber <aaron@ximian.com>
	* configure.in: Add 1.0 to GTK_DOC_CHECK: Rodney says "It won't
	hurt to add it, and might helpsince GTK_DOC_CHECK is in
	acinclude.m4 so you can build the stuffwithout gtk-doc
	installed/working."

	* docs/reference/addressbook/libebook/libebook-docs.sgml: added title
	* docs/reference/calendar/libecal/libecal-docs.sgml: added title
	* Plus added short/long descriptions and "See Also" where appropriate to:
	* docs/reference/addressbook/libebook/tmpl/e-address-western.sgml
	* docs/reference/addressbook/libebook/tmpl/e-book-async.sgml
	* docs/reference/addressbook/libebook/tmpl/e-book-listener.sgml
	* docs/reference/addressbook/libebook/tmpl/e-book-view-listener.sgml
	* docs/reference/addressbook/libebook/tmpl/e-book-view.sgml
	* docs/reference/addressbook/libebook/tmpl/e-book.sgml
	* docs/reference/addressbook/libebook/tmpl/e-contact.sgml
	* docs/reference/addressbook/libebook/tmpl/e-vcard.sgml
	* docs/reference/calendar/libecal/tmpl/e-cal-component.sgml
	* docs/reference/calendar/libecal/tmpl/e-cal-listener.sgml
	* docs/reference/calendar/libecal/tmpl/e-cal-view-listener.sgml
	* docs/reference/calendar/libecal/tmpl/e-cal-view.sgml
	* docs/reference/calendar/libecal/tmpl/e-cal.sgml

2003-11-22  Chris Toshok  <toshok@ximian.com>

	* dist/NO-AUTO-GEN: don't autogen in here.
	
	* libdb/.cvsignore: new file, ignore the generated Makefile foo.

	* libdb/Makefile.am: new file so we can integrate libdb into our
	build.

2003-11-20 Aaron Weber <aaron@ximian.com>
	* docs/reference/calendar/libecal/libecal-sections.txt: moved private structs to private subsections
	* docs/reference/addressbook/libebook/libebook-sections.txt: moved private structs to private subsections
	* docs/reference/libebook/tmpl/e-book-async.sgml: made tentative stabs at some description (same for sgml files below).
	* docs/reference/addressbook/libebook/tmpl/e-book-types.sgml
	* docs/reference/addressbook/libebook/tmpl/e-book-view-listener.sgml
	* docs/reference/addressbook/libebook/tmpl/e-book.sgml
	* docs/reference/calendar/libecal/libecal-sections.txt
	* docs/reference/calendar/libecal/tmpl/e-cal-component.sgml
	* docs/reference/calendar/libecal/tmpl/e-cal-listener.sgml
	* docs/reference/calendar/libecal/tmpl/e-cal.sgml

2003-11-20  Rodney Dawes  <dobey@ximian.com>

	* autogen.sh: Remove extra #!/bin/sh line

2003-11-19  JP Rosevear <jpr@ximian.com>

	* MAINTAINERS: Update

2003-11-18  Rodrigo Moya <rodrigo@ximian.com>

	* configure.in: require libsoup version from CVS (2.1.1).

2003-11-17  Rodrigo Moya <rodrigo@ximian.com>

	* configure.in: added libsoup-2.2 as a dependency for Groupwise.

2003-11-14  JP Rosevear <jpr@ximian.com>

	* libedataserver/test-source-list.c: use only libgnome stuff (no
	ui bits)

	* libedataserver/e-source.c: ditto

	* libedataserver/e-source-list.c: ditto

	* libedataserver/e-source-group.c: remove use of gal bits, use
	local marshallers

	* libedataserver/Makefile.am: build and install e-source stuff

2003-11-14  Rodrigo Moya <rodrigo@ximian.com>

	* src/server-interface-check.[ch]: fixed copyright comments.

2003-11-14  Rodrigo Moya <rodrigo@ximian.com>

	* src/server.c (setup_cals): register the Groupwise calendar backend.

	* src/Makefile.am:
	* configure.in: added Groupwise calendar backend to build.

2003-11-14  Rodney Dawes  <dobey@ximian.com>

	* acinclude.m4: Add the GTK_DOC_CHECK m4 macro here, as we need it

2003-11-11  Chris Toshok  <toshok@ximian.com>

	* src/server.c (queue_termination): guard against multiple threads
	here by using a mutex.  also, always remove the
	terminal_handler_id if one exists and reinstate it afterward.
	This gives us the behavior of always lasting EXIT_TIMEOUT
	milliseconds after the most recent book/calendar shutdown.  Before
	there was a potential for shutting down EXIT_TIMEOUT milliseconds
	after the *first* book/calendar shutdown.

2003-11-10  JP Rosevear <jpr@ximian.com>

	* Makefile.am: build docs

	* configure.in: check for gtk-doc

2003-11-08  Hans Petter Jansson  <hpj@ximian.com>

	* src/GNOME_Evolution_DataServerNOLDAP.server.in.in: Correct typo
	that broke GNOME_Evolution_DataServer_CalFactory. And another one
	that broke GNOME_Evolution_DataServer_InterfaceCheck.

2003-11-07  Dan Winship  <danw@ximian.com>

	* configure.in: Remove a bunch more checks that
	evolution-data-server doesn't need. Change "Evolution" to
	"evolution-data-server" in two messages. Remove gtk-doc support
	since there is currently no doc/ directory, and we'll want to use
	the new GTK_DOC_CHECK macro when we add it back anyway.

	* libedataserver/ename/*: Moved to libebook

	* libedataserver/Makefile.am (SUBDIRS): Remove ename
	(libedataserver_la_LIBADD): Remove libename
	(libedataserver_la_LDFLAGS): Remove -no-undefined

	* configure.in (AC_OUTPUT): Remove libedataserver/ename/Makefile

2003-11-07  Rodney Dawes  <dobey@ximian.com>

	* configure.in: Remove kerberos checks since we don't need them here

2003-11-06  JP Rosevear <jpr@ximian.com>

	* configure.in: output new .pc file

	* evolution-data-server-1.0.pc.in: pkconfig for idl

	* libedataserver/ename/Makefile.am: don't install

	* libedataserver/Makefile.am: link in libename

2003-11-06  Rodney Dawes  <dobey@ximian.com>

	* configure.in: Remove dependencies for GUI libs that we don't need

2003-11-06  JP Rosevear <jpr@ximian.com>

	* libedataserver/Makefile.am: e-msgport is no longer needed

2003-11-06  JP Rosevear  <jpr@ximian.com>

	* src/server.c: include the addressbook backend files properly

	* src/Makefile.am: link to the individual addressbook backends

2003-11-06  JP Rosevear  <jpr@ximian.com>

	* src/server.c: include the backend files properly

	* src/Makefile.am: link to the individual backends
	
2003-11-06  JP Rosevear <jpr@ximian.com>
	
	* configure.in (BASE_VERSION): clean up priv* dirs 
	
	* src/Makefile.am: install a version binary to libexecdir

	* src/GNOME_Evolution_DataServerLDAP.server.in.in: reflect new
	binary location

	* src/GNOME_Evolution_DataServerNOLDAP.server.in.in: ditto
	
2003-11-05  JP Rosevear <jpr@ximian.com>

	* src/server.c: following renaming of libedata-book

	* src/server-interface.[hc]: ditto

2003-11-05  JP Rosevear <jpr@ximian.com>

	* src/server.c: following renaming of libedata-cal

	* src/server-interface.[hc]: ditto

2003-11-05 JP Rosevear <jpr@ximian.com>

	* configure.in: make the priv*dir's sane

	* libedataserver/libedataserver-1.0.pc.in: use privincludedir;
	remove gal

	* libedataserver/ename/Makefile.am: ditto

	* libedataserver/Makefile.am: install to privincludedir
	
2003-11-05  Rodrigo Moya <rodrigo@ximian.com>

	* libedataserver/e-util.[ch]: new files to contain a few functions
	from GAL.

	* libedataserver/Makefile.am: added new files.

	* libedataserver/ename/e-address-western.c:
	* libedataserver/e-account-list.c:
	* libedataserver/e-account.c:
	* src/server-interface-check.c:
	* configure.in: removed libgal dependency.

2003-11-04  JP Rosevear <jpr@ximian.com>

	* src/server.c: tidy up logging messages

2003-11-04  JP Rosevear <jpr@ximian.com>

	* src/server.c: properly name space the oaf ids

	* src/server-interface-check.c: use the correctly named poa

	* src/server-interface-check.h: ditto
	
	* src/GNOME_Evolution_DataServerLDAP.server.in.in: name space the
	factories and interface check better

	* src/GNOME_Evolution_DataServerNOLDAP.server.in.in: ditto
	
	* src/Evolution-DataServer.idl: name space the interface check
	properly

2003-11-04  JP Rosevear <jpr@ximian.com>

	* src/Evolution-DataServer.idl: server interface check instead of
	wombat interface check

	* src/GNOME_Evolution_DataServerLDAP.server.in.in: ditto

	* src/GNOME_Evolution_DataServerNOLDAP.server.in.in: ditto
	
	* src/server.c: adjust to interface check renaming

	* src/server-interface-check.[hc]: finish renaming so wombat
	disappears

2003-11-04  JP Rosevear <jpr@ximian.com>

	* src/GNOME_Evolution_DataServerNOLDAP.server.in.in: ditto

	* src/GNOME_Evolution_DataServerLDAP.server.in.in: update to point
	to the right binary

	* libedataserver/Makefile.am: install pkg-config file

2003-11-04  Hans Petter Jansson  <hpj@ximian.com>

	* src/GNOME_Evolution_DataServerNOLDAP.server.in.in:
	* src/GNOME_Evolution_DataServerLDAP.server.in.in: Add "webcal" to
	supported protocols.

2003-11-04  JP Rosevear <jpr@ximian.com>

	* MAINTAINERS, TODO: update

2003-11-04  JP Rosevear <jpr@ximian.com>

	* src/server-interface-check.h: use G_*_DECLS and include the data
	server stub
	
	* src/Makefile.am: compile Evolution-DataServer.idl and manipulate
	the DataServer .server files

2003-11-03  JP Rosevear <jpr@ximian.com>

	* configure.in: don't need EVO_DIR

2003-11-03  JP Rosevear <jpr@ximian.com>

	* configure.in: remove trailing slash

2003-11-03  JP Rosevear <jpr@ximian.com>

	* configure.in: add the trailing slash to the config subdir

